<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 *
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 *
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

class SimplePieComponent extends Object {
	public $cache;

	function __construct() {
		$this->cache = CACHE . 'rss' . DS;
		if (! file_exists($this->cache))
			mkdir($this->cache, 0777, true);
	}

	function getFeed($url) {
		App::import('Vendor', 'simplepie');

		$feed = new SimplePie();
		$feed->set_useragent('Demyo '.Configure::read('Demyo.versionAsString').' / '.SIMPLEPIE_USERAGENT);
		$feed->set_cache_duration(3600*24);
		$feed->set_feed_url($url);
		$feed->set_cache_location($this->cache);
		$feed->set_no_date_at_beginning(false);

		$feed->init();
		
		return $feed;
	}
}
?>