<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
class ThemeManagerComponent extends Object {
	/** Returns a list of the available themes. */
	public function getAvailableThemes() {
		$themes = array();
		
		if (is_dir(VIEWS.'themed'))
			foreach (new DirectoryIterator(VIEWS.'themed') as $entry)
				if ($entry->isDir() && ! $entry->isDot())
					$themes[] = (string) $entry;
		if (is_dir(WWW_ROOT.'themed'))
			foreach (new DirectoryIterator(WWW_ROOT.'themed') as $entry)
				if ($entry->isDir() && ! $entry->isDot())
					$themes[] = (string) $entry;
		$themes = array_unique($themes);
		
		return $themes;
	}
	
	/** Clears the compressed CSS cache.
	 * This is required on theme change because the modification date of the
	 * new CSS is not necessarily more recent than that of the previous CSS. */
	public function clearCSSCache() {
		$cssCachePath = 'ccss';
		if (Configure::read('Asset.cssPath')) {
   			$cssCachePath = Configure::read('Asset.cssPath');
   		}
   		
   		if (! is_dir(WWW_ROOT.$cssCachePath))
   			return;
   		
    	foreach (new DirectoryIterator(WWW_ROOT.$cssCachePath) as $entry) {
   			if ($entry->isFile() && preg_match('/\\.css$/', (string)$entry))
   				unlink(WWW_ROOT.$cssCachePath.DS.((string) $entry));
   		}
	}
}
?>