<?php
/* Copyright 2007-2010 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
class FilesController extends AppController {
	public $uses = array();
	public $components = array('File');

	public function images() {
		$this->layout = 'raw';

		// Received path is a filtered one [1], prepend it with base image directory
		$path = $this->params['url']['path'];
		if (isset($path[0]) && $path[0] === '/') // Remove heading slash, if any 
			$path = substr($path, 1);
		$path = COLLECTION_IMAGES.DS.$path;

		$dirRelation = $this->File->dir_cmp(COLLECTION_IMAGES, $path);
			
		if ((! is_dir($path)) || ($dirRelation < 0) || $dirRelation === false) {
			//$this->set('info', array('error' => 'Invalid path'));
			$this->set('info', array('error' => 'Invalid path: '.$path)); // Debug with more info, discloses too much info on server
			return;
		}
		
		$showHidden = isset($this->params['url']['showHidden']) && $this->params['url']['showHidden'] === 'true';
		
		$list = $this->File->getFileList($path, $this->params['url']['selectable'], $showHidden);
		
		if ($list == null) {
			$this->set('info', array('error' => 'Failed to retreive list'));
			return;
		}


		// [1] Strip base path from the list, so that the client doesn't have
		// too much info on the server filesystem.
		$dirs = array(); // Copy the arrays rather than modifying in place: this
		$files = array(); // also gets rid of index -> value associations, making JSON encoding easier
		foreach ($list['dirs'] as $dir)
			$dirs[] = basename($dir);
		foreach ($list['files'] as $file)
			$files[] = basename($file);
		$list['dirs'] = $dirs;
		$list['files'] = $files;
		
		$this->set('info', $list);
	}
}
?>