<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

class HelpController extends AppController {
	public $helpers = array('HelpBrowser');
	public $layout = 'help';
	
	public function index() {
		$this->set('title_for_layout', __('Help', true));
		$this->set('helpIndex', $this->Help->getHelpIndex());
	}
	
	public function view($id) {
		try {
			$help = $this->Help->getEntry($id);
			
			if ($help === false) {
				$help = $this->Help->getFallbackEntry($id);
				
				if ($help === false)
					return $this->errorNoSuchEntry(__s('No help for topic \'%s\'.', $id));
				
				$this->set('redirectionWarning', __('Your language doesn\'t have documentation for this topic. You have been redirected to a fallback language.', true));
			}
		} catch (Exception $e) {
			return $this->cakeError("error{$e->getCode()}", array(array('message' => $e->getMessage(), 'base' => '', 'code' => $e->getCode(), 'name' => __('Error', true), 'skipSanitize' => true)));
		}
		
		$this->set('title_for_layout', $help['entry']['name'].' - '.__('Help', true));
		$this->set('help', $help);
		$this->set('id', $id);
	}
}
?>
