<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
class SourcesController extends AppController {
	public $scaffold;
	public $uses = array('Source');
	public $helpers = array('Cache', 'Menu', 'Quicksearch');
	public $paginate = array('limit' => 42, 'page' => 1, 'order'=>array('Source.name' => 'ASC'), 'recursive' => -1);
	public $cacheAction = array('index' => DEMYO_VIEW_DEFAULT_CACHE_LENGTH, 'view' => DEMYO_VIEW_DEFAULT_CACHE_LENGTH);
	
	public function index() {
		$this->helpers[] = 'MyPaginator';
		$this->helpers[] = 'Rte';
		
		$this->paginate['limit'] = ($perColumn = Configure::read('Demyo.itemsPerIndexColumns')) * Configure::read('Demyo.columnsPerIndexPage');
		$this->set('perColumn', $perColumn);
		
		if (isset($this->params['named']['startsWith'])) {
			$this->paginate['page'] = $this->Source->findPageNumberStartsWith('name', $this->params['named']['startsWith'], $this->paginate['limit']);
		}
		
		$sources =  $this->paginate('Source');
		$this->set('sources', $sources);
	}
	
	function view($id = null) {
		$this->helpers[] = 'Rte';
		
		$this->Source->id = $id;
		$this->Source->recursive = -1;
		if (! $source = $this->Source->read())
			$this->errorNoSuchEntry(__('This source does not exist.', true));
		$source = current($source);
		$source['derivative_count'] = $this->Source->Derivative->getDerivativesCount('Source', $id);
		$this->set('source', $source);
    }
	
	public function edit($id = null) {
		$this->helpers[] = 'Form';
		$this->helpers[] = 'JQuery';
		$this->helpers[] = 'Rte';
		
		if (empty($this->data)) {
			$this->Source->id = $id;
			$this->Source->recursive = -1;
			if (! $this->data = $this->Source->read())
				$this->errorNoSuchEntry(__('This source does not exist.', true));
		}
		
		else {
			if ($this->Source->save($this->data)) {
				$this->smartFlash(__('The source has been updated', true), 'info', array(
					'/sources/view/'.$this->data['Source']['id'] => __('View source', true)
				));
			}
		}
	}

	public function complete() {
		$this->layout = 'raw';
		
		$substring = isset($this->params['url']['q'])?$this->params['url']['q']:'';
		$this->set('sources', $this->Source->complete($substring));
	}
}

?>
