<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
class WidgetsController extends AppController {
	public $uses = array();
	public $components = array('Installer', 'Session');
	public $helpers = array('Feed', 'Html', 'jQuery', 'Quicksearch');
	
	private $widgetList = array(
		'add' => 'Add content',
		'browse' => 'Browse the library',
		'manage' => 'Manage the library',
		'tags' => 'Tags',
		'tips' => 'Did you know?',
		'backup' => 'Backup reminder',
		'images' => 'Random images'
	);
	
	public function dashboard() {
		// Install or update if need be, this is the root of the website
		if ($this->Installer->shouldInstall())
			return $this->redirect('/installer/install');
		else if ($this->Installer->shouldUpdate())
			return $this->redirect('/installer/update');

		if (! $this->Session->check('Message.flash') // No need for two messages at once
				&& $this->Installer->shouldCheckForUpdate())
			$this->Installer->getUpdateInformation();
		
		// Get current configuration
		$config = Configure::read('Demyo.dashboard');
		
		$config = explode('|', $config);
		if (count($config) != 4)
			return $this->error('Invalid widget configuration', 'The widget configuration doesn\'t have exactly 4 sections.');
		foreach ($config as &$section) {
			$section = explode(',', $section);
			// Remove empty sections
			if (strlen($section[0]) === 0)
				$section = false;
		}
		
		$this->set('activeWidgets', array(
			'top' => $config[0],
			'left' => $config[1],
			'right' => $config[2],
			'bottom' => $config[3],
		));
		$this->set('availableWidgets', $this->widgetList);
	}
	
	public function rawWidget($id) {
		$this->layout = 'raw';
		
		if (! isset($this->widgetList[$id]))
			return;
		$this->set('id', $id);
	}
}
?>