<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2 id="installing">Installing</h2>
<p>Now that you have a functionnal Web server (make sure it's running), you can install the actual Demyo software.</p>
<p>Make sure you have extracted the Demyo archive you downloaded. Most of the files mentionned in the following instructions can be found in that archive.</p>

<h3 id="windows">On Windows</h3>
<p>The setup takes care of everything.</p>

<p>To start Demyo on later occasions, you'll need to start the XAMMP servers
first (Apache and MySQL), using the tool that you already used at install time.
A shortcut to access it is installed in the Start Menu.</p>

<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<h3 id="linux">On Linux</h3>
<p>If you used the install script mentionned in <?php echo $helpBrowser->directlink('requirements')?>, you do not need to read this section.</p>

<p class="note">Note: the steps below use the <tt class="cmd">mysql</tt> command. If you installed XAMPP on Linux, you need to call <tt class="cmd">/opt/lampp/bin/mysql</tt> instead.</p>

<h4>Creating a user</h4>
<p>A database user will now be added. This user is a bit like an account for a forum: it helps defining what you can and cannot do.</p>
<p>In a terminal, run <tt class="cmd">mysql -u root -p &lt; /tmp/demyo-VERSION/create-user.sql</tt>. You will have to type the password for the root database user (which you were told to remember in the above procedure).</p>
<p>You can edit the file beforehand and change the password if you want, but you will have to change the <a href="#configuration">configuration</a>.</p>

<h4>Creating the database</h4>
<p>In a terminal, run <tt class="cmd">mysql -u root -p &lt; /tmp/demyo-VERSION/create-database.sql</tt>. You will have to type the password for the root database user (which you were told to remember in the above procedure).</p>

<h4>Copying the files</h4>
<p>You can now copy the <tt>demyo</tt> directory (the one from inside the extracted archive) into your server's hosting directory. A common setting is <tt>/var/www</tt> (<tt>/opt/lampp/htdocs</tt> if you installed XAMPP for Linux).</p>
<p>In a terminal, run <tt class="cmd">cp -r /tmp/demyo-VERSION/demyo /var/www/demyo</tt>.</p>
<p>Fix the privileges for Demyo: run</p>
<pre class="cmd">chown -R $DEMYO_USER:$APACHE_GROUP /var/www/demyo
chmod -R u=rwX,g=rX,o= /var/www/demyo
chmod -R g+w /var/www/demyo/app/tmp /var/www/demyo/app/webroot/img/thumbs
chmod g+w /var/www/demyo/app/config /var/www/demyo/app/config/demyo.php
chown -R $APACHE_USER /var/www/demyo/app/webroot/img/collection_images /var/www/demyo/app/webroot/ccss /var/www/demyo/app/webroot/cjs
chmod -R go=rwX /var/www/demyo/app/webroot/img/collection_images /var/www/demyo/app/webroot/ccss /var/www/demyo/app/webroot/cjs
</pre>
<p>where:</p>
<ul>
	<li>$DEMYO_USER if the name of the user that will use Demyo</li>
	<li>$APACHE_USER is the user the Apache server runs as (<tt>www-data</tt> on Debian)</li>
	<li>$APACHE_GROUP is the group the Apache server runs as (<tt>www-data</tt> on Debian)</li>
</ul>