<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2 id="requirements">Requirements</h2>

<p>Demyo has been to tested to run on Windows and Linux. It probably runs on Mac OS X, too, but this has not been tested.</p>
<p>Demyo's interface is Web-based, which means it runs in a Web browser. Currently, the following browsers are supported:</p>
<ul>
<li>Internet Explorer 9 or later (if you are running Windows XP, we suggest you choose one of the following alternatives)</li>
<li>Gecko-based: Mozilla Firefox 10 or later (and derived browsers)</li>
<li>Webkit-based: Google Chrome, Safari (and derived browsers)</li>
</ul>
<p>Other browsers or earlier versions of the supported browsers may work, sometimes with minor to moderate inconveniences,
but were not tested and are not supported.</p>

<p>Demyo also requires a Web server with PHP 5.2 or older and MySQL 4 or older.
If you already have one, proceed to <?php echo $helpBrowser->directLink('install-the-software')?>.
If you don't have one or don't know (in which case you most likely don't have one), read the following.</p>

<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<h3 id="windows">On Windows</h3>
<p>The setup takes care of everything. Do not deselect the <em>XAMPP</em>
component when installing.</p>

<p class="tip">XAMPP is automatically downloaded from Internet. If you want to install
Demyo on a computer that doesn't have an Internet access, you can
<a href="http://www.apachefriends.org/en/xampp-windows.html#646">download
XAMPP Lite (EXE version)</a> and put it in the same directory as Demyo's setup,
in a file named <tt>xampp-lite.exe</tt>. It will be used during the installation
process.</p>

<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<h3 id="linux">On Linux, with your distribution's packages</h3>
<p>Extract the Demyo archive (.zip or .tar.gz) in a temporary directory of your choice. In the following, we will assume that the file was extracted to <tt>/tmp/demyo-VERSION</tt>.</p>

<h4>On supported distributions</h4>
<p>An install script is available for the following distributions&nbsp;:</p>
<ul>
	<li>Debian</li>
	<li>Fedora Core</li>
	<li>Mandriva</li>
	<li>openSUSE</li>
	<li>Ubuntu</li>
</ul>
<p>To use the helper script, run <tt>sh install-linux.sh</tt> as root or <tt>sudo sh install-linux.sh</tt>.</p>

<p>If you use a derivative of the supported distributions (like Knoppix or
Xubuntu), you can also try to run the script. The installer will probably
complain about not being able to detect your OS, and will ask you to select
it manually.</p>


<h4>All distributions (manual installation)</h4>

<p>You need to install the following packages. The way of doing so depends on your distribution.</p>
<ul>
	<li>Apache 2 (on Debian: <tt>apache2</tt>)</li>
	<li>A MySQL server (on Debian: <tt>mysql-server</tt>)</li>
	<li>PHP5 for Apache 2 (on Debian: <tt>libapache2-mod-php5</tt>)</li>
	<li>MySQL for PHP5 (on Debian: <tt>php5-mysql</tt>)</li>
	<li>GD for PHP5 (on Debian: <tt>php5-gd</tt>)</li>
	<li>APC for PHP (on Debian: <tt>php-apc</tt>)</li>
</ul>

<p>You should also follow the following steps. The way of doing so depends on your distribution.</p>
<ul>
	<li>To secure your installation by only accepting requests from your computer, edit the apache configuration file (on Debian: <tt>/etc/apache2/ports.conf</tt>) and replace <tt>Listen 80</tt> by <tt>Listen 127.0.0.1:80</tt>&nbsp;.</li>
	<li>Enable the Apache 2 module mod_rewrite, which is needed by Demyo.</li>
	<li>You should also enable mod_deflate and mod_expires. These modules are optional, but will increase Demyo's performance.</li>
	<li>Create a site configuration (on Debian: <tt>/etc/apache2/sites-enabled/demyo</tt>) with the following contents:
	<pre>&lt;Directory /var/www/demyo&gt;
	AllowOverride FileInfo Indexes
	Options +FollowSymLinks
&lt;/Directory&gt;</pre></li>
	<li>Restart the Apache server</li>
</ul>

<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<h3 id="linux-lampp">On Linux, with LAMPP</h3>
<p>Extract the Demyo archive (.zip or .tar.gz) in a temporary directory of your choice. In the following, we will assume that the file was extracted to <tt>/tmp/demyo-VERSION</tt>.</p>

<p>If your distribution doesn't have packages for Apache or if they are somehow broken (consider reporting a bug to your distribution), you can also set up an all-in-one server.</p>
<p class="note">Note: installing your distribution's packages should be the preferred way and I offer limited or no support for this procedure.</p>

<h4>XAMPP</h4>
<p>Download XAMPP for Linux  from <a href="http://www.apachefriends.org/en/xampp.html">the XAMPP website</a>.</p>
<p>Extract the downloaded file to <tt>/opt</tt>&nbsp;: in a terminal, change to the directory where the file was downloaded and run <tt class="cmd">tar zxf xampp-linux-VERSION.tar.gz -C /opt</tt>&nbsp;. You will need root privileges to do that (either use <tt class="cmd">su</tt> or <tt class="cmd">sudo</tt>).</p>
<p class="note">Note: It is only possible to run XAMPP for Linux from <tt>/opt</tt>&nbsp;, though you could install it anywhere and make a symbolic link from <tt>/opt</tt> to your directory of choice. This restricts the usage from a USB key to a computer where you can have root access (or where someone can set you a symbolic link once).</p>

<h4>Security</h4>
<p>Copy the recommended configuration files: in a terminal, run <tt class="cmd">cp -rf /tmp/demyo-VERSION/xampp-linux/* /opt/lampp/</tt>.</p>

<h4>Finishing and using</h4>
<p>The server installation is now complete. Each time you want to start Demyo, start the server by running <tt>/opt/lampp/demyo start</tt>. To stop it, run <tt>/opt/lampp/demyo stop</tt>.</p>
