<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Exporting your collection</h2>

<p>Demyo allows you to export your collection to a variety of formats. It
can be useful to show it to a friend or make a backup. Some formats are lossless
(best for backups), and some are lossy (sometimes best to keep a list in a
pocket).</p>

<p class="tip"><strong>Tip:</strong> Make backups on removable media (USB keys, CD-ROM)
on a regular basis. This way, if your computer has a problem or if you make
a mistake and accidentaly erase a part of your collection, you can
<?php echo $helpBrowser->directLink('import', 'recover it')?> and avoid losing hours of work.
<br />Never use lossy formats to make backups.</p>

<p>Most export options allow you to <em>include resources</em>. This means that
images will be exported alongside textual data. The resulting file could be much
bigger (it depends on how many images you have) but you'd lose even less that
with a regular export.</p>

<h3>XML (lossless)</h3>

<p>This is the preferred way of exporting in Demyo. Technically, the exported
file follows an XML structure defined by Demyo. Less technically, this means that
everything you entered will be exported in a format that will be easy to import back.</p>

<h3>Excel 97/2000/XP and Excel 2007 (lossy)</h3>

<p>This will generate a list of albums that you can easily open and edit in a
spreadsheet program such as Microsoft Excel or OpenOffice.org Calc. The file
content is pretty straightforward and provides a good digest of your
collection, even if it lacks a lot of information.</p>

<p>You can also choose to export only the wishlist items from your collection,
so that you have a printable list of what you would like to buy.</p>

<p class="tip">Due to limitations in QuickOffice, export files cannot be read by
this smartphone office suite. The workaround is to open the file in your spreadsheet
program of choice and save it in a format that QuickOffice handles properly.</p>

<h3>CSV (lossy)</h3>

<p>The exported file will be a .csv file holding an album list (a lot of
information is not exported). CSV files are really simple spreadsheets
that can be opened by programs such as Microsoft Excel or OpenOffice.org Calc.
You might be prompted to chose some parameters when opening the wishlist in
one of these programs:</p>
<ul>
	<li>The delimiter is a semicolon ';'</li>
	<li>The field protectors are double quotes '"'</li>
	<li>The encoding or character set is UTF-8 (sometimes labelled as Unicode (UTF-8))</li>
</ul>

<p>Once opened, you can manipulate the file like you'd normally do with a
spreadsheet. A restricted set of information is available for each album
(one album per line), following a format defined
<?php echo $helpBrowser->directLink('import-csv', 'here')?>.</p>

<p>You can also choose to export only the wishlist items from your collection,
so that you have a printable list of what you would like to buy.</p>
