<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Importing a collection or backup</h2>

<p>Demyo provides ways to import a file containing an existing collection.
Importing a file removes all information currently stored in Demyo, and
replaces it with whatever was stored in the file.</p>

<p>Unless explicitely specified, importing a file only replaces the textual
content of the database and does not touch the image files (see
<?php echo $helpBrowser->directLink('manage-images')?>).</p>

<p>Supporting import from another collection manager requires work. If your
manager is not listed below, you can either ask for support (and wait) or find
a way to convert the data in any of the formats listed below.</p>

<h3 id="xml">Demyo: XML (+ XSL) and ZIP files</h3>

<p>XML is Demyo's own file format. It is the format of choice for lossless
import of data. Importing with a file generated by an older version of Demyo
is not recommenced and may lead to loss of data. In such cases, Demyo will
ask for confirmation before doing any irreversible change to the collection.</p>

<p>In addition to plan XML files, Demyo also supports ZIP archives. These
archives contain a file named 'demyo.xml' which contains the textual content,
and various directories containing images. When importing with a ZIP archive,
the currently stored images will be deleted and replaced with the ones from
the import file.</p>

<h3 id="csv">Wildcard: CSV</h3>

<p>CSV files are the wildcard format used by Demyo for import. They can be
created with any spreadsheet program (e.g. Microsoft Excel, OpenOffice.org Calc)
and make it possible to import from a wide range of sources, provided you take
care of things by yourself.</p>

<p>The file must respect the following specifications:</p>
<ul>
	<li>Usually created with a spreadsheet program, the file must be saved as
	a <tt>.csv</tt> file. Your program will probably ask to specify some
	settings before saving the file:<ul>
		<li>The field separator is a semicolon :</li>
		<li>The field protector is a double quote "</li>
		<li>The encoding is UTF-8 (or Unicode, if UTF-8 is not available)</li>
	</ul></li>
	
	<li>The spreadsheet should refer to one album per line, with no header
	at the top of the columns (the header line would be interpreted as an
	album).</li>
	
	<li>The spreadsheet must be composed of the following columns, in this
	exact order. If there is not content for that column (for example because
	the previous manager didn't support that field), the column should be left
	empty.<ul>
		<li>Series name</li>
		<li>Album cycle</li>
		<li>Album number</li>
		<li>Album title</li>
		<li>Artist name and first name</li>
		<li>Writer name and first name</li>
		<li>Colorist name and first name</li>
		<li>Publisher</li>
		<li>Collection</li>
		<li>First edition date (in YYYY-MM-DD format)</li>
		<li>This edition date (in YYYY-MM-DD format)</li>
		<li>Purchase date (in YYYY-MM-DD format)</li>
		<li>ISBN</li>
		<li>Binding</li>
		<li>Number of pages</li>
		<li>Summary</li>
		<li>Comment</li>
		<li>Price</li>
	</ul></li>
</ul> 

<h3 id="others">Others</h3>

<p>For other formats, you'll have to either manually re-add all entries, or
<a href="#ask">ask</a> whether it is possible to add support for your former
software, or try to convert your file to <a href="#csv">CSV</a>.</p>

<p>For example, if you have used Microsoft Word to keep track of your
collection, you may copy/paste it to Microsoft Excel (which might be able to
split the content into different fields) and tweak the resulting sheet to
get the required format for a CSV import.</p>
