<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Albums</h2>

<p>Albums are probably the cornerstone of the software. An album belongs to a
series, can have derivatives, one or many authors, etc... An album can also
be lended.</p>

<p>An album is always part of a series. If you try to add a <em>one-shot</em>,
add a series with the same name as the album first.</p>

<p>For an example of how to add an album, see the tutorial:
<?php echo $helpBrowser->directLink('your-first-album') ?>.</p>

<h3 id="view">View details</h3>

<p>The album details page shows a summary of the album, its covers and associated
images, as well as an initially hidden list of its derivatives.</p>

<p>From that page, it is possible to jump from one album to the previous or next
one in the same series. To do that, you can use the links on either side of the
page.</p>

<p class="tip"><strong>Tip:</strong> The left and right arrow keys from your
keyboard can also be used to navigate between albums of a series.</p>

<h3 id="add-edit">Add or edit an album</h3>

<p>Here is a summary of the fields an album may have:</p>
<ul>
	<li><em>Series:</em> the series the album belongs to. An album is always
		part of exactly one series.</li>
	<li><em>Cycle:</em> some series might be split into multiple cycles.</li>
	<li><em>Number:</em> the album number. Sometimes, some albums from a series
		are split into two or more tomes (the series goes like 1, 2, 3.1, 3.2,
		4...). For this reason, the <em>number</em> field also accepts non-integral numbers.</li>
	<li><em>Suffix:</em> this optional field can be used for various reasons.
		One can be to make a difference between two different editions of an
		album: if you bought both a re-edition and the first edition of a given
		album, the re-edition could be 1b and the first edition 1a.</li>
	<li><em>Title:</em> the album title.</li>
	<li><em>Publisher:</em> the entity that published the album</li>
	<li><em>Collection:</em> the collection where this album was published.
		Only the collections from the selected publisher are listed.</li>
	<li><em>First edition:</em> the date when the album was first published.</li>
	<li><em>This edition:</em> the date when <strong>the album you own</strong> was published.</li>
	<li><em>Wishlist:</em> whether is album is part of your <a href="#wishlist">wishlist</a>
		or not. If enabled, the purchase date below will be ignored.</li>
	<li><em>Purchase date:</em> when this album was bought.</li>
	<li><em>Purchase price:</em> how much you bought it for (decimal value).</li>
	<li><em>Width, height:</em> album size. You can use any unit you see fit
		since the field can accommodate non-integer values, but try to keep it
		consistent for your own sake.</li>
	<li><em>Page:</em> the number of pages in the album.</li>
	<li><em>Binding:</em> the binding of the album.</li>
	<li><em>Price:</em> a history of the price of the album. Each step in this history is composed of a date and a decimal price.</li>
	<li><em>ISBN:</em> the <a href="http://en.wikipedia.org/wiki/ISBN">ISBN</a> of the album.</li>
	<li><em>Writers, artists, colorists:</em> the <?php echo $helpBrowser->directLink('manage-authors', 'authors')?> who contributed to
		the album. You can select more than one in each field.</li>
	<li><em>Tags:</em> a comma-separated list of <?php echo $helpBrowser->directLink('manage-tags', 'tags')?> for this album.
		When the field loses focus (for example because you clicked elsewhere),
		the tags you typed in it are added to a list below the field. You can
		click items in the list to remove them (remember that no changes are
		saved until you update the album).
		Tags already in your database will be auto-completed as you type them,
		and will be added to the list even if the field doesn't lose focus.</li>
	<li><em>Summary:</em> a summary of the album story. See <?php echo $helpBrowser->directLink('rich-text')?> for details on formatting.</li>
	<li><em>Comment:</em> a comment on this album. See <?php echo $helpBrowser->directLink('rich-text')?> for details on formatting.</li>
	<li><em>Cover:</em> the album cover. Can be selected from the list of <?php echo $helpBrowser->directLink('manage-images', 'images')?>.</li>
	<li><em>Images:</em> additional <?php echo $helpBrowser->directLink('manage-images', 'images')?>. You can select more than one at a time.</li>
</ul>

<h3 id="wishlist">Wishlist</h3>

<p>Demyo supports a wishlist of albums. An album in a wishlist is one that you
don't yet own but consider acquiring. Such albums won't be counted in the
statistics and will have a different visual style, but don't differ from regular
albums in any other remarkable way.</p>

<p>Wishlists can be <?php echo $helpBrowser->directLink('export', 'exported') ?> and
printed independently, so that you can give
them to your friends or use them to go shopping.</p>

<h3 id="derivatives">Albums and derivatives</h3>

<p>An album can be linked to a derivative, but this is not done from the album
add/edit form. Instead, you can either add a derivative from the popup menu
in the album view page (in which case some fields will be pre-filled based on
the album), or add a it from the home page or derivative section of Demyo.</p>