<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Images</h2>

<p>In Demyo, an <em>image</em> is a representation of a file on your hard disk
(or on the network). You don't directly set a file on your computer as a cover for an album.
Rather, you create an entity that has a description (independently of the file
name) and a path. Then, you can add it to albums, derivatives and so on.</p>

<h3 id="add-edit">Add or edit an image</h3>

<p>When adding an image, you need to give a <em>path</em> and a <em>description</em>.
The description field is pretty straightforward, just make sure you name it in a way
that will allow you to quickly find it. The path is a bit harder to specify, but
Demyo provides various options to ease the task.</p>

<p>For technical reasons, Demyo doesn't let you directly use images from your entire computer.
Rather, it takes them from a dedicated folder
(<tt class="path"><?php echo COLLECTION_IMAGES?></tt>) or on any subfolder that you may
see fit to put in the base folder (you can put as many folders as you want, 
and also sub-subfolders, etc.). To copy a file in that location, you may use your
usual file browser, or use the dedicated interface described below.</p>

<p class="tip"><strong>Tip:</strong> Foresee subfolders for your images before
you have hundreds. Fixing your structure afterwards would prove to be painful.</p>

<h4>Add an image from the disk</h4>

<p>In this form, you may select a file anywhere on your computer and have it stored
in Demyo's directory automatically. This is the easiest way to add an image, but it's
also laborious if you have multiple images to add at once.</p>

<p>To select the target folder for your image, use the button near the input field.</p>

<h4>Add an image from Demyo's directory</h4>

<p>This option is vastly similar to the previous one, but here you select a file that
is already accessible by Demyo (for example because you copied it manually in the right place).</p>

<p>To fill the path, you can the button near the field.
It will pop up a small file browser that will allow you to select your file
in a <em>point-and-click</em> way. You can preview an image, then click on its
name to select it.</p>

<p class="tip"><strong>Tip:</strong> When browsing through a directory, take
advantage of your browser's searching capabilities. On most browsers, hitting
<em>Ctrl+F</em> will open a search box that will allow you to quickly find an
image on the current page based on its name.</p>

<p>Note that you can also make direct links to images on the Web. Just copy
and paste the image address in the <em>path</em> field. This is not recommended,
though: the image will load slowly, and it might get deleted by the host
Some websites also don't allow direct image links, whether they enforce it
or not; it's is generally considered disrespectful to go against their wish.</p>

<h4 id="auto-add">Adding more than one image at a time</h3>

<p>Demyo can automatically add images you have put in the aforementioned
dedicated folder but which have not yet been added. The files in the dedicated folder and its sub-folders will be
browsed and you will be shown a list of all files that are currently missing from
the database.</p>

<p>From that list, you can select which images you would like to add, and then
proceed to a second screen where you may enter descriptions for each images (some are
precomputed based on the image names), as well as add prefixes and suffixes to all
descriptions at once.</p>
