<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h1>Managing your collection</h1>

<p>Collections in Demyo are managed using a set of entities. Some
of them (e.g. <em>series</em>) have to be created by hand, while others (e.g.
<em><?php echo $helpBrowser->directLink('manage-tags', 'tags')?></em>)
will be created automatically when you use them.</p>

<p>The entities are tighlty coupled (with so-called <em>relations</em>). This
means that an album is not a simple list of fields. An album <em>belongs</em> to
a series, is <em>authored</em> by writers and artists and is <em>published</em>
by a publisher. All of these are also entites, that my in turn also be related
to other entities. This allows to to jump from an album to its artist, then to
all albums that this album has drawn, for example. This also means that when you
edit a Series name, you don't have to go and change that name everywhere since
only the name changed, not the link between the album and the series.</p>

<p>The availables entities will be detailled in this chapter.</p>

<h2 id="actions">Actions</h2>

<p>Almost all entities in Demyo support at least the following actions:</p>
<ul>
	<li>List all entries (index). The indexes will usually be paginated to show
		a reasonable amount of information at a time. You can go from one page
		to the next one using the page number links at the bottom of the page or
		the drop-down menu. You can also go to the previous or next page by
		using the left and right arrow keys on your keyboard</li>
	<li>Show details (view). These pages provide a list of all information
		currently stored about an entry, usually including relationships the
		entry is part of.</li>
	<li>Add or edit an entry.</li>
	<li>Delete an entry.</li>
</ul>