<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Your first album</h2>

<p>This section will guide you in creating a first album in a totally new (and
empty) database. The example will use the first album in the collected
editions of <a href="http://en.wikipedia.org/wiki/DMZ_(comics)">DMZ</a>.</p>

<p class="note"><strong>Note :</strong> This tutorial describes the addition of
an album, supplying as much information as possible. At the very least, you are
only required to set the album's series: other fields are optional. However,
filling them in would allow you to make a better use of Demyo's capabilities.</p>

<h3>Publisher</h3>

<p>Let's start with the publisher. From the home page, click on <em>Add a
publisher</em>. Fill in the <em>Name</em> field (DC Comics) and the
<em>Website</em> (http://www.dccomics.com/). Click on <em>Add</em>.</p>
<p>You are redirected to the page describing the editor you've just created.</p>

<h3>Collection</h3>

<p>From the publisher page, move you mouse over <em>Tasks</em> and click on
<em>Add a collection to this publisher</em>. A page show where the
<em>Publisher</em> field has already been filled. Just enter the <em>Name</em>
(Vertigo) and <em>add</em> the entry.</p>

<h3>Authors</h3>

<p>We will now add the authors. They (scenarists, artists, colorists) are all
added the same way&nbsp;: it's how we use them that will set their role(s).</p>

<p>Back on the home page, click on <em>Add an author</em>. Fill in the
<em>Name</em> (Wood) and <em>First name</em> (Brian), then <em>add</em> the
entry.</p>

<p>Repeat these steps for Riccardo Burchielli, and Jeromy Cox.</p>

<h3>Binding</h3>

<p>Back once again on the home page, where you should click on <em>Add a
binding</em>. Fill in the <em>Name</em> (Paperback) and save.</p>

<h3>Cover image</h3>

<p>Let us suppose that you have an image of the album cover (you took a picture,
scanned it or found it online).</p>

<p>Start your file manager and go to <tt><?php echo COLLECTION_IMAGES?></tt>.
Create a folder named <tt>Covers</tt> and copy your image in that location.
Rename it to <tt>DMZ_1.jpg</tt>. Creating a dedicated folder and naming the
image correctly is not a requirement, but it definitely helps when you have more
than a hundred images.</p>

<p>Go back to Demyo and click on <em>Add an image</em> on the home page.
Click on the icon at the right of the <em>Path</em> field, and select your image
in the window that has just popped up (browsing and selecting can be done
with a single click). In the <em>Desccription</em> field, write <em>DMZ 01 -
Cover</em>. Add the image.</p>

<h3>Series</h3>

<p>On the home page, click on <em>Add a series</em>. Fill in the <em>Name</em>
(DMZ) and save. You are redirected to the series view page.</p>

<h3>Album</h3>

<p>Staying on that page, move your mouse over <em>Tasks</em> and click on
<em>Add an album to this series</em>. Fill in the fields:</p>
<ul>
	<li><em>Number:</em> 1</li>
	<li><em>Title:</em> On the Ground</li>
	<li><em>Publisher:</em> Select DC Comics (the only choice, you've just added it)</li>
	<li><em>Collection:</em> Select Vertigo (the only choice, you've just added it)</li>
	<li><em>First edition:</em> Use the calendar to choose June 7, 2006</li>
	<li><em>Edition:</em> Same</li>
	<li><em>Binding:</em>  Select Paperback (the only choice, you've just added it)</li>
	<li><em>ISBN:</em>  1-4012-10627</li>
	<li><em>Writers:</em> Select Wood, Brian</li>
	<li><em>Artists:</em> Select Wood, Brian and Burchielli, Riccardo (use the Ctrl key to select more than one author)</li>
	<li><em>Colorists:</em> Select Cox, Jeromy</li>
	<li><em>Tags:</em> war, journalism</li>
	<li><em>Cover:</em> Sélectionnez Arctica 1 - Couverture (the only choice, you've just added it)</li>
</ul>

<p>Add the album and that's it, you now have your first album. Note that for
other albums, you won't necessarily have to repeat all these steps: if a
publisher was added for an album, it can be used by any other album you would
add afterwards.</p>
