<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Albums</h2>

<p>Les albums sont probablement la pierre angulaire du logiciel. Un album appartient à une
série, peut avoir des dérivés, un ou plusieurs auteurs, etc... Un album peut aussi
être prêté.</p>

<p>Un album fait toujours partie d'une série, et celle-ci doit être ajoutée
avant l'album. Si vous essayer d'ajouter un <em>one-shot</em>, ajoutez d'abord
une série avec le même nom que l'album.</p>

<p>Pour un exemple concret d'ajout d'album, voyez le tutoriel
<?php echo $helpBrowser->directLink('your-first-album') ?>.</p>

<h3 id="view">Voir les détails</h3>

<p>La page des détails d'un album affiche un résumé de l'album, sa couverture et les images associées,
ainsi qu'une liste initialement cachée de ses dérivés.</p>

<p>Depuis cette page, il est possible de sauter à l'album précédent ou suivant au sein de la série.
Pour ce faire, vous pouvez utiliser les liens qui se trouvent de chaque côté de
la page.</p>

<p class="tip"><strong>Astuce&nbsp;:</strong> Les touches flèchées du clavier permettent
aussi de passer d'une page à l'autre.</p>

<h3 id="add-edit">Ajouter ou éditer un album</h3>

<p>Voici une liste des champs qu'un album peut comporter&nbsp;:</p>
<ul>
	<li><em>Série&nbsp;:</em> la série à laquelle l'album appartient. Un album fait toujours
		partie d'une série.</li>
	<li><em>Cycle&nbsp;:</em> certaines séries peuvent être divisées en plusieurs cycles.</li>
	<li><em>Numéro&nbsp;:</em> le numéro de l'album. Parfois, certains albums dans une série
		sont divisés en deux ou plusieurs tomes (par exemple, la série se présente ainsi&nbsp;: 1, 2, 3.1, 3.2,
		4...). Pour cette raison, le champ <em>numéro</em> accepte également les nombres décimaux.</li>
	<li><em>Suffixe&nbsp;:</em> ce champ optionnel peut être utilisé pour des raisons diverses.
		On peut, par exemple, établir une difference entre deux éditions d'un même
		album&nbsp;: si vous achetez une ré-édition ainsi que la première édition d'un
		album donné, la ré-édition peut être numérotée 1b et la première édition 1a.</li>
	<li><em>Titre&nbsp;:</em> le titre de l'album.</li>
	<li><em>Editeur&nbsp;:</em> l'entité qui publie l'album</li>
	<li><em>Collection&nbsp;:</em> la collection dans laquelle l'album est publié.
		Seules les collections de l'éditeur sélectionné sont listées.</li>
	<li><em>Première édition&nbsp;:</em> la date à laquelle l'album a été édité pour la premère fois.</li>
	<li><em>Cette édition&nbsp;:</em> la date à laquelle <strong>l'album que vous possédez</strong> a été publié.</li>
	<li><em>À acheter&nbsp;:</em> si l'abum fait partie ou non de votre <a href="#wishlist">liste d'achats</a>.
		Si cette option est sélectionnée, la date d'achat en dessous sera ignorée.</li>
	<li><em>Date d'achat&nbsp;:</em> quand l'album a été acheté.</li>
	<li><em>Prix d'achat&nbsp;:</em> ce que l'album a coûté (valeur décimale).</li>
	<li><em>Largeur, hauteur&nbsp;:</em> les dimensions de l'album. Vous pouvez utiliser n'importe quelle unité qui vous semble
		convenir puisque le champ accepte les valeurs décimales mais, dans votre intérêt, tâchez de rester
		conhérent.</li>
	<li><em>Page&nbsp;:</em> le nombre de pages ou planches dans l'album.</li>
	<li><em>Reliure&nbsp;:</em> le type de reliure de l'album.</li>
	<li><em>Cote&nbsp;:</em> Une historique de la valeur de l'album. Chaque étape de l'historique est composée d'une date et d'un prix (une valeur décimale, utilisez un point comme séparateur de décimale).</li>
	<li><em>ISBN&nbsp;:</em> l'<a href="http://fr.wikipedia.org/wiki/ISBN">ISBN</a> de l'album.</li>
	<li><em>Scénaristes, dessinateurs, coloristes&nbsp;:</em> les <?php echo $helpBrowser->directLink('manage-authors', 'auteurs')?> qui ont contribué
		à l'album. Vous pouvez sélectionner plus d'un nom dans chaque champ.</li>
	<li><em>Tags&nbsp;:</em> une liste de <?php echo $helpBrowser->directLink('manage-tags', 'tags')?>, séparés par des virgules, pour cet album.
		Quand le champ n'est plus actif (par exemple parce que vous avez cliqué ailleurs),
		les tags que vous avez tapés sont ajoutés dans une liste en dessous du champ. Vous pouvez
		cliquer les éléments de la liste pour les en ôter (rappelez-vous qu'aucun changement n'est
		sauvé jusqu'à ce que vous ayez mis l'album à jour).
		Les tags déjà présents dans votre base de données s'auto-compléterons pendant que vous les tapez,
		et seront ajoutés à la liste même si le champ n'est pas actif.</li>
	<li><em>Résumé&nbsp;:</em> un résumé de l'histoire de l'album. Voir <?php echo $helpBrowser->directLink('rich-text')?> pour les détails de formatage.</li>
	<li><em>Commentaire&nbsp;:</em> un commentaire sur l'album. Voir <?php echo $helpBrowser->directLink('rich-text')?> pour les détails de formatage.</li>
	<li><em>Couverture&nbsp;:</em> la couverture de l'album. Peut être sélectionnée depuis un liste d'<?php echo $helpBrowser->directLink('manage-images', 'images')?>.</li>
	<li><em>Images&nbsp;:</em> des <?php echo $helpBrowser->directLink('manage-images', 'images')?> supplémentaires. Vous pouvez sélectionner plus d'une image en même temps.</li>
</ul>

<h3 id="wishlist">Liste d'achat</h3>

<p>Demyo permet d'établir une liste d'achats d'albums. Un album repris dans une telle liste est un album
que vous ne possédez pas encore mais envisager d'acheter. Ces albums ne serons pas comptabilisés dans les
statistiques et seront présentés dans un style visuel différent, mais ils ne diffèrent sinon guère
des albums ordinaires.</p>

<p>Les listes d'achat peuvent être <?php echo $helpBrowser->directLink('export', 'exportées') ?> 
et imprimées indépendamment. Ainsi, vous pouvez les emporter pour vos achats ou
les donner à vos amis.</p>

<h3 id="derivatives">Albums and derivatives</h3>

<p>Un album peut être lié à un dérivé, mais cela ne peut être fait depuis le
formulaire d'ajout ou d'édition de l'album. Vous pouvez ajouter un dérivé soit depuis le menu déroulant
dans la page de l'album (auquel cas, certains champs seront pré-remplis en fonction de
l'album), soit l'ajouter depuis la page d'accueil ou la section dérivés de Demyo.</p>