<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Images</h2>

<p>Dans Demyo, une <em>image</em> est une représentation d'un fichier sur le
disque dur (ou sur le réseau). Les images ne sont pas ajoutées en sélectionnant
directement un fichier de votre disque dur comme couverture d'un album.
Il s'agit plutôt de créer une entité qui possède une description (indépendante
du nom du fichier) et un chemin&nbsp;; et peut ensuite être ajoutée à un album,
un dérivé ou autre.</p>

<h3>Ajouter ou éditer une image</h3>

<p>Lors de l'ajout d'une image, il est nécessaire de spécifier un <em>chemin</em>
et une <em>description</em>. Remplir la description est trivial, pensez juste
à entrer quelque chose que vous retrouverez aisément. Le chemin est un peu
plus difficile à compléter, maus Demyo fournit différentes interfaces
pour rendre la tâche moins pénible.</p>

<p>Pour des raisons techniques, Demyo ne permet pas d'utiliser directement une image provenant
d'un emplacement quelconque de votre ordinateur. Au lieu de cela, l'image doit
se trouver dans un répertoire spécifique (<tt class="path"><?php echo COLLECTION_IMAGES?></tt>) ou dans
n'importe quel sous-répertoire de celui-ci (ou dans un sous-sous-répertoire,
etc.). Pour copier un fichier à cet emplacement, utilisez votre gestionnaire
de fichiers habituel, ou utilisez l'interface prévue assez effet et décrite ci-dessous.</p>

<p class="tip"><strong>Astuce&nbsp;:</strong> Prévoyez des sous-répertoires pour vos
images avant d'en avoir des centaines. Corriger la structure par après serait
assez difficile.</p>

<h4>Ajouter une image depuis le disque</h4>

<p>Ce formulaire permet de sélectionner un fichier sur votre ordinateur afin de le stocker
dans le répertoire spécifique de Demyo automatiquement. Il s'agit de la manière la plus
simple d'ajouter une image, mais elle reste très laborieuse quand plusieurs images doivent
être ajoutées à la fois.</p>

<p>Pour sélectionner le répertoire de destination pour votre image, utilisez le bouton près du
champ de chemin.</p>

<h4>Ajouter une image depuis le répertoire de Demyo</h4>

<p>Cette option est pratiquement équivalente à la précédente, à ceci près que vous sélectionnez
une image à laquelle Demyo a déjà accès (par exemple parce que vous l'y avez déjà copiée).</p>

<p>Pour remplir le chemin vers l'image, utilisez le bouton près du champ de chemin. Un
gestionnaire de fichier s'affichera et vous permettra de sélectionner un fichier à la souris.
Il est possible de prévisualiser une image. Cliquez sur son nom pour la sélectionner.</p>

<p class="tip"><strong>Astuce&nbsp;:</strong> Quand vous parcourez un répertoire,
utilisez les capacités de recherche de votre navigateur Internet. Dans la
plupart des navigateurs, appuyer sur <em>Ctrl+F</em> affichera une boîte de
rechercher qui vous permettre de rapidement trouver un fichier (en fonction
d'une partie de son nom) sur la page courante.</p>

<p>Il est aussi possible de lier directement des images se trouvant sur
Internet. Pour ce faire, il suffit de copier l'adresse Internet complète dans
le champ <em>chemin</em>. Cette pratique n'est cependant pas recommandée&nbsp;:
l'image s'affichera plus lentement, et pourrait être effacée par l'hébergeur.
Certains sites ne permettent pas non plus de faire des liens directs vers leurs
images, qu'ils appliquent des mesures préventives ou pas. Il est généralement
considéré comme manquant de respect d'aller à l'encontre de leur demande.</p>

<h4 id="auto-add">Ajouter plus d'une image à la fois</h3>

<p>Demyo peut ajouter automatiquement ajouter des images que vous auriez placées
dans le dossier dédié cité plus haut, mais que vous n'avez pas encore ajoutées.
Pour ce faire, cliquez sur <em>Ajouter les nouvelles images</em> sur la page
d'accueil. Les fichiers du dossier et de ses sous-dossiers seront parcourus et
une liste des fichiers inconnus de la base de données vous sera présentée.</p>

<p>Depuis cette liste, vous pouvez sélectionner les images à ajouter, puis
continuer vers un second écran où il est possible d'entrer les descriptions pour
chaque images (certaines sont précalculées en fonction du nom de l'image).
Il est aussi possible de spécifier des préfixes et suffixes à appliquer à toutes les
descriptions.</p>