<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2 id="requirements">Pré-requis</h2>
<p>Demyo a été testé sous Windows et Linux. Il fonctionne probablement aussi sous Mac OS X, mais cela n'a pas encore été testé.</p>
<p>Demyo est une application Web, ce qui signfie qu'il fonctionne dans un navigateur Web. A l'heure actuelle, les navigateurs suivants sont supportés :</p>
<ul>
<li>Internet Explorer 9 ou ultérieur (si vous utilisez Windows XP, optez pour une des alternatives ci-dessous)</li>
<li>Moteur Gecko: Mozilla Firefox 10 ou ultérieur (et dérivés)</li>
<li>Moteur Webkit: Google Chrome, Safari (et dérivés)</li>
</ul>
<p>D'autres navigateurs ou des versions antérieurs des navigateurs supportés peuvent fonctionner, mais ne sont pas supportés&nbsp;:
il est possible qu'ils fonctionnent correctement dans la plupart des cas mais présentes des imperfections visuelles ou fonctionnelles.</p>

<p>Demyo requiert un serveur Web avec PHP 5.2 ou plus récent et MySQL 4 ou plus récent.
Si vous en avez déjà un, aller à <?php echo $helpBrowser->directLink('install-the-software')?>.
Si vous n'en avez pas ou si vous ne savez pas (auquel cas, vous n'en avez vraisemblablement pas), lisez ce qui suit.</p>

<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<h3 id="windows">Sous Windows</h3>
<p>L'installateur s'occupe de tout. Ne désélectionnez pas le composant
<em>XAMPP</em> lors de l'installation.</p>

<p class="tip">XAMPP est automatiquement téléchargé pendant l'installation. Si vous désirez
installer Demyo sur un ordinateur qui n'a pas d'accès à Internet, vous pouvez
<a href="http://www.apachefriends.org/fr/xampp-windows.html#1361">télécharger
XAMPP Lite (version EXE)</a> et le placer dans le même dossier que
l'installateur de Demyo, en nommant le fichier <tt>xampp-lite.exe</tt>. Ce
fichier sera utilisé durant la procédure d'installation.</p>

<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<h3 id="linux">Sous Linux, avec les paquets logiciels de votre distribution</h3>
<p>Extrayez l'archive Demyo (.zip or .tar.gz) dans un répertoire temporaire de votre choix. Dans ce qui suit, nous supposerons que le fichier a été extrait dans <tt>/tmp/demyo-VERSION</tt>.</p>

<h4>Distributions supportées</h4>
<p>Un script a été écrit pour automatiser l'installation sous certaines distributions&nbsp;:</p>
<ul>
	<li>Debian</li>
	<li>Fedora Core</li>
	<li>Mandriva</li>
	<li>openSUSE</li>
	<li>Ubuntu</li>
</ul>
<p>Lancez <tt>sh install-linux.sh</tt> en tant que root ou <tt>sudo sh install-linux.sh</tt>.</p>

<p>Si vous utilisez une distribution dérivée de ces distributions (comme Knoppix
ou Xubuntu), vous pouvez tout de même exécuter le script. Celui-ci vous avertira
qu'il n'a pas su détecter la distribution, et vous proposera de choisir
vous-même le système qui se rapproche le plus du vôtre.</p>


<h4>Toutes distributions (installation manuelle)</h4>

<p>Vous devez installer les logiciels suivants. La méthode dépend de votre distribution.</p>
<ul>
	<li>Apache 2 (sous Debian&nbsp;: <tt>apache2</tt>)</li>
	<li>Un serveur MySQL (sous Debian&nbsp;: <tt>mysql-server</tt>)</li>
	<li>PHP5 pour Apache 2 (sous Debian&nbsp;: <tt>libapache2-mod-php5</tt>)</li>
	<li>MySQL pour PHP5 (sous Debian&nbsp;: <tt>php5-mysql</tt>)</li>
	<li>GD pour PHP5 (sous Debian&nbsp;: <tt>php5-gd</tt>)</li>
	<li>APC pour PHP5 (sous Debian&nbsp;: <tt>php-apc</tt>)</li>
</ul>

<p>Vous devez aussi suivre les étapes suivantes. Encore une fois, la méthode dépend de votre distribution.</p>
<ul>
	<li>Pour sécuriser votre installation en acceptant uniquement les requêtes en provenace de votre ordinateur, éditez le fichier <tt>/etc/apache2/ports.conf</tt> et remplacez <tt>Listen 80</tt> par <tt>Listen 127.0.0.1:80</tt>&nbsp;.</li>
	<li>Exécutez <tt>a2enmod rewrite</tt> en tant que root pour permettre à Apache 2 d'activer mod_rewrite, ce qui est nécessaire pour Demyo.</li>
	<li>Vous devriez aussi exécuter <tt>a2enmod deflate</tt> et <tt>a2enmod expires</tt> . Ces modules sont optionnels mais amélioreront les performances.</li>
	<li>Créez une configuration de site (sous Debian&nbsp;: <tt>/etc/apache2/sites-enabled/demyo</tt>) avec le contenu suivant&nbsp;:
	<pre>&lt;Directory /var/www/demyo&gt;
	AllowOverride FileInfo Indexes
	Options +FollowSymLinks
&lt;/Directory&gt;</pre></li>
	<li>Redémarrez Apache</li>
</ul>

<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<h3 id="linux-lampp">Sous Linux avec, avec LAMPP</h3>
<p>Extrayez l'archive Demyo (.zip or .tar.gz) dans un répertoire temporaire de votre choix. Dans ce qui suit, nous supposerons que le fichier a été extrait dans <tt>/tmp/demyo-VERSION</tt>.</p>

<p>Si votre distribution ne dispose pas des paquets logiciels pour Apache ou s'ils ne fonctionnent pas en quelque façon (envisagez l'envoi d'un rapport de bug à votre distribution), vous pouvez également installer un serveur tout en un.</p>
<p class="note">Note: l'installation des paquets logiciels de votre distribution devrait être la meilleure solution. Il ne sera offert qu'un support limité voire aucun support du tout.</p>

<h4>XAMPP</h4>
<p>Téléchargez XAMPP pour Linux (LAMPP) depuis <a href="http://www.apachefriends.org/en/xampp.html">le site de XAMPP </a>.</p>
<p>Extrayez le fichier téléchargé dans <tt>/opt</tt>&nbsp;: dans un termainal, allez dans le répertoire où le fichier à été enregistré et exécutez <tt class="cmd">tar zxf xampp-linux-VERSION.tar.gz -C /opt</tt>&nbsp;. Il est nécessaire de disposer des privilèges root pour ce faire (utiliser <tt class="cmd">su</tt> ou <tt class="cmd">sudo</tt>).</p>
<p class="note">Note: Il n'est possible d'exécuter XAMPP pour Linux que depuis <tt>/opt</tt>&nbsp;, cependant vous l'installer ailleurs et réaliser un lien symbolique depuis <tt>/opt</tt> vers le répertoire de votre choix. Ceci restreint son usage depuis une clé USB à un ordinateur où vous avez un accès root (ou à quelqu'un qui peut réaliser ce lien symbolique).</p>

<h4>Securité</h4>
<p>Copiez les fichiers de configuration recommandés&nbsp;: dans un terminal, exécuter <tt class="cmd">cp -rf /tmp/demyo-VERSION/xampp-linux/* /opt/lampp/</tt>.</p>

<h4>Fin de l'installation et utilisation</h4>
<p>L'installation est maintenant terminée. Chaque fois que vous voulez démarrer Demyo, démarrez le serveur Web en exécutant <tt>/opt/lampp/demyo start</tt>. Pour l'arrêter, exécutez <tt>/opt/lampp/demyo stop</tt>.</p>
