<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Exporter votre collection</h2>

<p>Demyo permet d'exporter votre collection dans plusieurs formats. Cela peut
être utile pour la montrer à un ami, ou pour faire des copies de sauvegarde.
Certains formats sont sans pertes (idéal pour des sauvegardes) et d'autres avec
(parfois plus indiqué pour garder une liste en poche).</p>

<p class="tip"><strong>Conseil&nbsp;:</strong> Faites régulièrement des
sauvegardes sur des médias amovibles (clé USB, CD-ROM). De cette manière,
si votre ordinateur a un problème ou si vous effacez par accident une partie
de votre collection, vous pouvez <?php echo $helpBrowser->directLink('import', 'la récupérer')?>
et éviter de perdre des heures de travail.<br />
N'utilisez jamais des formats avec pertes pour faire des sauvegardes.</p>

<p>La plupart des options permettent d'<em>inclure les ressources</em>. Cela
signifie que les images seront exportées en plus des données textuelles. Le
fichier exporté pourrait être beaucoup plus gros (en fonction du nombre d'images),
mais il y a moins de pertes que pour un export classique.</p>

<h3>XML (sans perte)</h3>

<p>Il s'agit du format préféré dans Demyo. Techniquement, le fichier exporté
est dans un format XML défini par Demyo. Moins techniquement, cela veut dire
que tout ce que vous avez encodé sera exporté dans un format qu'il sera facile
d'importer par après.</p>

<h3>Excel 97/2000/XP et Excel 2007 (avec pertes)</h3>

<p>Cette option génère une liste d'albums qui peut être ouverte et éditée
facilement avec des programmes de tableur comme Microsoft Excel ou
OpenOffice.org Calc. Le contenu du fichier est assez facile à appréhender et
fournit un bon résumé de votre collection, même s'il manque une bonne partie
de l'information.</p>

<p>Il est aussi possible de n'exporter que les éléments de votre liste d'achats,
de manière à ce que vous en ayez une version imprimable.</p>

<p class="tip">En raisons de limitations dans QuickOffice, les fichiers générés ne peuvent
être directement lus par cette suite office pour téléphones mobiles. La solution
est pour l'instant d'ouvrir le fichier dans le tableur de votre choix et de le
ré-enregistrer dans un format que QuickOffice supporte correctement.</p>

<h3>CSV (avec pertes)</h3>

<p>Le fichier exporté sera au format CSV et contiendra une liste d'albums (une
bonne partie de l'information n'est pas exportée). Il s'agit de feuilles de calcul très
simples reconnues par des programmes comme Microsoft Excel ou OpenOffice.org Calc.
À l'ouverture, le tableur pourrait vous demander de choisir certains paramètres:</p>
<ul>
	<li>Le délimiteur de champ est un point-virgule ';'</li>
	<li>Le protecteur de champ est le guillement double '"'</li>
	<li>L'encodage ou jeu de caractères est l'UTF-8 (parfois appelé Unicode (UTF-8))</li>
</ul>

<p>Une fois le fichier ouvert, il peut être manipulé comme n'importe quelle
feuille de calcul. Chaque album est présenté sur une ligne, les informations
étant présentées dans l'ordre vu
<?php echo $helpBrowser->directLink('import-csv', 'dans une autre section')?>.</p>

<p>Il est aussi possible de n'exporter que les éléments de votre liste d'achats,
de manière à ce que vous en ayez une version imprimable.</p>
