<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Importer une collection ou une sauvegarde</h2>

<p>Demyo propose différentes manières d'importer un fichier listant une
collection existante.
Importer un tel fichier efface toute information contenue dans Demyo, et la
remplace par ce qui était renseigné dans le fichier.</p>

<p>À moins que cela ne soit explicitement précisé, importer un fichier ne
remplace que les informations textuelles. A fortiori, les images ne sont
pas modifiées (voir <?php echo $helpBrowser->directLink('manage-images')?>).</p>

<p id="ask">Inclure le support pour importer depuis un autre gestionnaire
de collection demande du travail. Si votre gestionnaire précédent n'est pas
listé ici, vous pouvez faire une demande (et attendre) ou trouver une manière
de convertir les données dans un des formats listés ci-dessous.</p>

<h3 id="xml">Demyo: fichiers XML (+ XSL) et ZIP</h3>

<p>Demyo a son propre format basé sur XML. C'est le format de choix pour
toute récupération de données sans perte. Importer un fichier généré par une
ancienne version de Demyo n'est pas recommandé et peut impliquer une perte
de données. Dans de tels cas, Demyo demandera une confirmation avant
d'entreprendre des modifications irréversibles.</p>

<p>En plus des fichiers XML simples, Demyo permet aussi d'importer des archives
au format ZIP. Ces archives, créées par Demyo lors d'une exportation,
contiennent un fichier 'demyo.xml' avec les données textuelles et des
répertoires avec les images. Lors de l'import d'un fichier ZIP, les images
présentes sont supprimées et remplacées par celles du ZIP.</p>

<h3 id="bdgest">BD Gest'</h3>

<p>Il est possible d'importer les albums provenant du logiciel BD Gest'.
Toutes les informations ne pourront être conservées, mais les plus importantes
le sont (voir la liste dans la section <a href="#csv">CSV</a> ci-dessous).
Les images ne sont pas importées, elle devront être ajoutées manuellement.</p>

<p>BD Gest' utilise un format propriétaire pour stocker les informations. La
procédure d'import est donc assez contraignante. L'export depuis
BD Gest' n'est possible que sous Windows (importer les données exportées
depuis BD Gest' peut ensuite être fait depuis toutes les plateformes supportées par
Demyo). Il n'est pas nécessaire de posséder une licence valide de BD Gest' pour
récupérer les données.</p>

<ol>
	<li>Trouvez le fichier d'extension <tt>.mdb</tt> utilisé par BD Gest'.
	Vous pouvez faire une recherche sur votre disque dur si vous ne savez pas où
	il est. Copiez le dans votre dossier <em>Mes Documents</em> pour plus de
	facilité et pour éviter d'endommager le fichier original.</li>
	<li>Téléchargez et installez la suite <a href="http://fr.openoffice.org/">OpenOffice.org</a>.</li>
	<li>Lancez <em>OpenOffice Base</em>.</li>
	<li>Dans l'assistant, sélectionnez <em>Se connecter à une base de données
	existante</em> et choississez <em>Microsoft Access</em> dans la liste (pas
	<em>Microsoft Access 2007</em>). Passez à l'écran suivant.</li>
	<li>Choisissez le fichier que vous avez copié dans <em>Mes documents</em>
	et passez à l'écran suivant.</li>
	<li>Laissez l'assistant enregistrer la base de données, et ouvrez
	la pour édition. Le programme s'ouvre.</li>
	<li>Allez dans la section <em>Requêtes</em> et <em>Créez une requête en mode
	SQL</em>. Copiez le texte suivant dans la fenêtre qui s'est ouverte, en veillant
	à ce le bouton <em>Exécuter directement l'instruction SQL</em> soit bien
	activée.
	<pre>
SELECT
	Series.Titre,
	'' AS Cycle, Albums.Num, Albums.Titre,
	TRIM(Dessinateurs.Nom + ' ' + Dessinateurs.Prenom) AS Dessinateur,
	TRIM(Scenaristes.Nom + ' ' + Scenaristes.Prenom) AS Scenariste,
	TRIM(Coloristes.Nom + ' ' + Coloristes.Prenom) AS Coloriste,
	Editeur, Collection,
	FORMAT(DL, 'yyyy-mm-dd') AS DepotLegal, SWITCH(EdO, DepotLegal, true, '') AS CetteEdition, FORMAT(DateAchat, 'yyyy-mm-dd') AS DateAchat,
	Reference,
	SWITCH(Broche, 'Broché', true, 'Cartonné') AS Reliure, NbPages,
	'' AS Resume, Albums.Commentaire,
	CoteActuelle
	FROM ((((ALBUMS AS Albums)
		LEFT OUTER JOIN (SERIES AS Series) ON (Series.IdSerie = Albums.IdSerie))
		LEFT OUTER JOIN (AUTEURS AS Dessinateurs) ON (Albums.IdDessinateur = Dessinateurs.IdAuteur))
		LEFT OUTER JOIN (AUTEURS AS Scenaristes) ON (Albums.IdScenariste = Scenaristes.IdAuteur))
		LEFT OUTER JOIN (AUTEURS AS Coloristes) ON (Albums.IdColoriste = Coloristes.IdAuteur);
	</pre></li>
	<li>Enregistrez la requête sous le nom <em>Demyo_export</em>.</li>
	<li>Lancez <em>OpenOffice Calc</em>.</li>
	<li>Sélectionnez <em>Affichage</em> &rarr; <em>Sources de données</em>.</li>
	<li>Dans la partie qui vient de s'afficher, dépliez la base de données
	jusqu'à voir <em>Demyo_export</em>.</li>
	<li>Par glisser-déposer, tirez <em>Demyo_export</em> en <em>A1</em> dans
	la partie tableur.</li>
	<li>Allez dans <em>Fichier</em> &rarr; <em>Enregistrer sous...</em>, sauvez
	le fichier au format <em>Texte CSV (.csv)</em>. Choisissez <em>Unicode (UTF-8)</em>
	comme <em>Jeu de caractères</em>, <em>;</em> comme <em>Séparateur de champ</em>
	et <em>"</em> comme séparateur de texte.</li>
	<li>Le fichier que vous venez d'exporter peut maintenant être importé tel
	quel dans Demyo, en utilisant l'option <em>CSV</em>.</li>
</ol>

<h3 id="csv">Joker&nbsp;: CSV</h3>

<p>Les fichiers CSV sont les <em>Joker</em> pour l'import dans Demyo. Ils
peuvent être créés avec n'importe quel tableur (par exemple Microsoft Excel,
OpenOffice.org Calc) et permettent d'importer depuis plus de sources,
à condition de faire la conversion soi-même.</p>

<p>Le fichier doit respecter le format suivant&nbsp;:</p>
<ul>
	<li>Généralement créé avec un programme de tableur, le fichier doit être
	sauvé comme un <tt>.csv</tt>. Le programme demandera probablement de
	préciser quelques paramètres avant d'enregistrer le fichier&nbsp;:<ul>
		<li>Le séparateur de champ est le caractère : (deux points)</li>
		<li>Le séparateur de texte est le caractère " (guillemets droits)</li>
		<li>L'encodage est UTF-8 (ou Unicode si UTF-8 n'est pas disponible)</li>
	</ul></li>
	
	<li>La feuille de calcul doit mentionner un album par ligne, sans entête de
	colonne (celle-ci serait interprétée comme un album).</li>
	
	<li>La feuille de calcul doit comporter les colonnes suivantes, dans
	l'ordre exact. Si une colonne n'a pas de contenu (par exemple parce que
	le système précédent ne conservait pas de valeur pour ce champ), la
	colonne devrait rester vide.<ul>
		<li>Nom de la série</li>
		<li>Cycle pour l'album</li>
		<li>Numéro de l'album</li>
		<li>Titre de l'album</li>
		<li>Nom et prénom du dessinateur</li>
		<li>Nom et prénom du scénariste</li>
		<li>Nom et prénon du coloriste</li>
		<li>Éditeur</li>
		<li>Collection</li>
		<li>Date de première édition (au format AAAA-MM-JJ)</li>
		<li>Date de l'édition de l'album (au format AAAA-MM-JJ)</li>
		<li>Date d'achat (au format AAAA-MM-JJ)</li>
		<li>ISBN</li>
		<li>Reliure</li>
		<li>Nombre de pages</li>
		<li>Résumé</li>
		<li>Commentaire</li>
		<li>Prix</li>
	</ul></li>
</ul>

<h3 id="others">Autres</h3>

<p>Pour tous les autres formats, vous devrez soit ré-encoder votre collection
à la main, soit <a href="#ask">demander</a> s'il est possible d'ajouter le
support pour votre logiciel précédent, soit enfin convertir votre collection au
format <a href="#csv">CSV</a>.</p>

<p>Par exemple, si vous avez encodé votre collection en utilisant Microsoft
Word, vous pouvez la copier/coller dans Microsoft Excel (qui pourra peut-être
séparer le contenu copié en plusieurs champs) et, de là, obtenir le format
requis pour l'import en CSV.</p>