<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Votre premier album</h2>

<p>Cette section introduit l'insertion d'un premier album dans une base
de données totalement vierge.
L'exemple traité ici sera celui du <a href="http://www.editions-delcourt.fr/catalogue/bd/arctica_1_dix_mille_ans_sous_les_glaces">
premier tome d'Arctica</a>.</p>

<p class="note"><strong>Note :</strong> Ce tutorial présente l'ajout d'un album
en précisant le plus d'informations possible. Dans le cas d'utilisation le
plus réduit, vous n'avez qu'à préciser la série dont l'album fait partie&nbsp;:
les autres champs sont optionnels. Les remplir vous permet cependant de mieux
profiter des fonctionnalités offertes par Demyo.</p>

<h3>Éditeur</h3>

<p>Commençons par ajouter l'éditeur. Depuis la page d'accueil, cliquez sur
<em>Ajouter un éditeur</em>. Remplissez le <em>Nom</em> (Delcourt) et le
<em>Site Internet</em> (http://www.editions-delcourt.fr/).
Cliquez sur <em>Ajouter</em>.</p>
<p>Vous êtes redirigé sur la page de l'éditeur que vous venez de créer.</p>

<h3>Collection</h3>

<p>Depuis la page de l'éditeur, déplacez la souris vers <em>Tâches</em> et
cliquez sur <em>Ajouter une collection à cet éditeur</em>. Vous arrivez sur
la page d'ajout, où le champ <em>Éditeur</em> a été pré-rempli. Il ne vous reste
qu'à écrire le <em>Nom</em> de la collection (<em>Neopolis</em>) et à ajouter
l'entrée.</p>

<h3>Auteurs</h3>

<p>Il est maintenant temps d'ajouter les auteurs. Tous (scénaristes,
dessinateurs, coloristes) sont ajoutés de la même manière&nbsp;;
ils ne sont différenciés que plus tard.</p>

<p>Retournez à la page d'accueil et cliquez sur <em>Ajouter un auteur</em>.
Remplissez le <em>Nom</em> (Pecqueur) et le <em>Prénom</em> (Daniel), puis
<em>Ajoutez</em> l'entrée.</p>

<p>Répétez la procédure pour <em>Boyan Kovačević</em> (notez que Demyo supporte
les caractères accentués) et <em>Pierre Schelle</em>.</p>

<h3>Reliure</h3>

<p>Retournez à la page d'accueil, et cliquez sur <em>Ajouter un type de
reliure</em>. Entrez le <em>Nom</em> (Cartonné) et sauvegardez.</p>

<h3>Image de couverture</h3>

<p>Supposons que vous ayez une image de la couverture de l'album (vous en avez
pris une photo, vous l'avez scannée ou vous l'avez trouvée sur Internet).</p>

<p>Utilisez votre gestionnaire de fichiers et allez dans le répertoire
<tt><?php echo COLLECTION_IMAGES?></tt>. Créez un dossier nommé <tt>Couvertures</tt>
et copiez y votre image. Renommez la en <tt>Arctica_1.jpg</tt>.
Créer un dossier et nommer le fichier de façon rigoureuse n'est pas une
nécessité, mais cela facilite grandement la gestion de votre collection quand
le nombre d'image dépasse la centaine.</p>

<p>De retour sous Demyo, cliquez sur <em>Ajouter une image</em> depuis la
page d'accueil. Cliquez sur l'icône à droite du champ <em>Chemin</em> et
trouvez votre image en navigant dans la fenêtre qui vient de s'ouvrir (un
simple clic de la souris sélectionne dossiers et fichiers). Dans le
champ <em>Description</em>, indiquez <em>Arctica 1 - Couverture</em>. Ajoutez
l'image.</p>

<h3>Série</h3>

<p>De retour à la page d'accueil, cliquez sur <em>Ajouter une série</em>.
Rentrez le <em>nom</em> (Arctica) et sauvegardez. Vous êtes redirigé sur la
page de la série qui vient d'être créée.</p>

<h3>Album</h3>

<p>Depuis cette page, déplacez la souris vers <em>Tâches</em> et cliquez sur
<em>Ajouter un album à cette série</em>. Remplissez alors les différents
champs&nbsp;:</p>
<ul>
	<li><em>Numéro&nbsp;:</em> 1</li>
	<li><em>Titre&nbsp;:</em> Dix Mille Ans sous les Glaces</li>
	<li><em>Éditeur&nbsp;:</em> Sélectionnez Delcourt (le seul choix, vous venez de l'ajouter)</li>
	<li><em>Collection&nbsp;:</em> Sélectionnez Neopolis (le seul choix, vous venez de l'ajouter)</li>
	<li><em>Première édition&nbsp;:</em> Utilisez le calendrier pour choisir le 1 décembre 2007 (le dépôt légal de l'album)</li>
	<li><em>Édition&nbsp;:</em> Idem, en supposant que vous ayez l'édition originale</li>
	<li><em>Largeur&nbsp;:</em> 240 (en mm, c'est une convention comme une autre, le choix vous appartient)</li>
	<li><em>Hauteur&nbsp;:</em> 320 (idem)</li>
	<li><em>Planches&nbsp;:</em> 48</li>
	<li><em>Reliure&nbsp;:</em>  Sélectionnez Cartonné (le seul choix, vous venez de l'ajouter)</li>
	<li><em>ISBN&nbsp;:</em>  978-2-7560-0044-2</li>
	<li><em>Scénario&nbsp;:</em> Sélectionnez Pecqueur, Daniel</li>
	<li><em>Dessin&nbsp;:</em> Sélectionnez Kovačević, Boyan</li>
	<li><em>Couleurs&nbsp;:</em> Sélectionnez Schelle, Pierre</li>
	<li><em>Tags&nbsp;:</em> anticipation (d'autres tags sont évidemment possible mais ce tutorial n'a pas pour but de dévoiler l'intrigue)</li>
	<li><em>Couverture&nbsp;:</em> Sélectionnez Arctica 1 - Couverture (le seul choix, vous venez de l'ajouter)</li>
</ul>

<p>Ajoutez l'album et ça y est, vous avez votre premier album. Pour les albums
suivants, il ne sera pas toujours nécessaire de reproduire toutes ces
étapes. Par exemple, quand un éditeur a été ajouté pour un album, il peut
ensuite être utilisé par n'importe quel autre album encodé ultérieurement.</p>