<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
if (false) __('Album prices', true); // Hack to get a string to translate. Used on import.
class AlbumPrice extends AppModel {
	public $actsAs = array('SimpleXML');
	public $belongsTo = array('Album');
	
	public function getWorth() {
		$albumsTable = $this->Album->tablePrefix.$this->Album->useTable;
		$pricesTable = $this->tablePrefix.$this->useTable;
		// select the sum from (select the latest price)
		$query = <<<EOQ
SELECT SUM(worth) AS total_worth FROM (
	SELECT
		latest_prices.*, purchase_price, CASE WHEN latest_price IS NULL THEN purchase_price ELSE latest_price END AS worth
	FROM
		$albumsTable Album
	LEFT JOIN
		(SELECT album_id, price AS latest_price, date AS latest_date FROM $pricesTable ap WHERE date=
			(SELECT max(date) FROM $pricesTable ap_maxdate WHERE ap.album_id = ap_maxdate.album_id)) latest_prices
	ON latest_prices.album_id=Album.id
	WHERE (latest_price > 0 OR purchase_price > 0)
) albums_worth
EOQ;
		$sum = $this->query($query);
		return (float)$sum[0][0]['total_worth'];
	}
	
	public function deleteForAlbum($albumID) {
		$albumID = intval($albumID);
		$this->query("DELETE FROM {$this->tablePrefix}{$this->table} WHERE album_id=$albumID");
	}
}
?>
