<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
class CompletableBehavior extends ModelBehavior {
	public $settings;

	public function setup(&$model, $config = array()) {
		$this->settings[$model->name]['matching'] =
			empty($config['matching'])?'prefix':$config['matching'];
		$this->settings[$model->name]['field'] =
			empty($config['field'])?'name':$config['field'];
	}
	
	/** Finds a set of rows that are LIKE the given one.
	 * 
	 * @param $like The substring that should be matched
	 * @return array
	 */
	public function complete(&$model, $like) {
		$like = trim($like);
		if ($like === '')
			return array();
		
		extract($this->settings[$model->name]);
		
		if ($matching === 'prefix')
			$like = "$like%";
		elseif ($matching === 'substring')
			$like = "%$like%";
		
		return $model->find('all', array('fields' => array('id', $field),
			'conditions' => array("$field LIKE" => $like),
			'order' => array($field => 'ASC'), 'recursive' => -1));
	}
}

?>