<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
class FeedSourceBehavior extends ModelBehavior {
	public $settings;

	public function setup(&$model, $config = array()) {
		$this->settings[$model->name]['field'] =
			empty($config['field'])?
				'feed':
				$config['field'];
	}
	
	/**
	 * Gets the feed from an entry.
	 * 
	 * @param AppModel $model The model to work on
	 * @param $id The id of the entry to retrieve the feed from.
	 * @return mixed The feed URL, or false if none was specified.
	 */
	public function getFeed(&$model, $id) {
		$feed = $model->find('first', array(
			'fields' => $this->settings[$model->name]['field'],
			'conditions' => array('id' => $id),
			'recursive' => -1));
		if (! empty($feed[$model->name]['feed']))
			return $feed[$model->name]['feed'];
		return false;
	}
}

?>