<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
if (false) __('Derivative prices', true); // Hack to get a string to translate. Used on import.
class DerivativePrice extends AppModel {
	public $actsAs = array('SimpleXML');
	public $belongsTo = array('Derivative');
	
	public function getWorth() {
		$derivativesTable = $this->Derivative->tablePrefix.$this->Derivative->useTable;
		$pricesTable = $this->tablePrefix.$this->useTable;
		// select the sum from (select the latest price)
		$query = <<<EOQ
SELECT SUM(worth) AS total_worth FROM (
	SELECT
		latest_prices.*, purchase_price, CASE WHEN latest_price IS NULL THEN purchase_price ELSE latest_price END AS worth
	FROM
		$derivativesTable Derivative
	LEFT JOIN
		(SELECT derivative_id, price AS latest_price, date AS latest_date FROM $pricesTable dp WHERE date=
			(SELECT max(date) FROM $pricesTable dp_maxdate WHERE dp.derivative_id = dp_maxdate.derivative_id)) latest_prices
	ON latest_prices.derivative_id=Derivative.id
	WHERE (latest_price > 0 OR purchase_price > 0)
) derivatives_worth
EOQ;
		$sum = $this->query($query);
		return (float)$sum[0][0]['total_worth'];
	}
	
	public function deleteForDerivative($derivID) {
		$derivID = intval($derivID);
		$this->query("DELETE FROM {$this->tablePrefix}{$this->table} WHERE derivative_id=$derivID");
	}
}
?>
