<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
class Publisher extends AppModel {
	public $name = 'Publisher';
	public $order = 'Publisher.name ASC';
	public $actsAs = array('Containable', 'FeedSource', 'SimpleXML');
	public $belongsTo = array('Image' => array('foreignKey' => 'logo_id'));
	public $hasMany = array(
		'Album',
		'Collection' => array('order' => 'Collection.name')
	);
	public $validate = array(
		'name' => array('rule' => 'notEmpty'),
		'website' => array('rule' => 'url', 'allowEmpty' => true),
		'feed' => array('rule' => 'url', 'allowEmpty' => true)
	);
	
	public function beforeValidate() {
		$this->validate['name']['message'] = __('The name cannot be empty', true);
		$this->validate['website']['message'] = __('This is not a valid address', true);
		$this->validate['feed']['message'] = __('This is not a valid address', true);
	}
	
	public function afterSave($created) {
		// Transitive association from album, not automatically cleared
		clearCache(array('series'));
	}
}

?>
