<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
class Source extends AppModel {
	public $name = 'Source';
	public $actsAs = array('Completable', 'SimpleXML');
	public $hasMany = array('Derivative');
	public $validate = array(
		'name' => array('rule' => 'notEmpty'),
		'website' => array('rule' => 'url', 'allowEmpty' => true),
		'email' => array('rule' => 'email', 'allowEmpty' => true)
	);
	
	public function beforeValidate() {
		$this->validate['name']['message'] = __('The name cannot be empty', true);
		$this->validate['website']['message'] = __('This is not a valid address', true);
		$this->validate['email']['message'] = __('This is not a valid email address', true);
	}
	
	public function getOrAdd($name) {
		$name = trim($name);
		
		if ($name === '')
			return 0;
		
		$id = $this->find('first', array('fields' => 'id',
			'conditions' => array('name' => $name), 'recursive' => -1));
		
		if (! empty($id))
			return $id['Source']['id'];
		
		else {
			$this->create();
			if ($this->save(array('Source' => array('name' => $name))))
				return $this->getInsertID();
		}
	}
}

?>