<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$isEdit = isset($isEdit) && $isEdit;

$quicksearch->setSearchCategories(array('Series', 'Album', 'Author', 'Publisher', 'Collection', 'Tag'));

$menu->preparePopupMenu(array(
	array('add' => 'Series'),
	array('add' => 'Author'),
	array('add' => 'Publisher'),
	array('add' => 'Collection'),
	array('add' => 'Binding'),
	array('add' => 'Tag')
));

echo $helpBrowser->pageLink('manage-albums');
?>

<?php echo $form->create('Album', array('class' => 'addedit')) ?>
<fieldset>
<legend><?php echo ($isEdit?__('Edit an album', true):__('Add an album', true))?></legend>
<?php
if ($isEdit)
	echo $form->hidden('Album.id');
?>
<input type="hidden" name="smartFlash" value="<?php echo $smartFlash?>" />
<table class="details">
<?php
echo '<tr><th>'.$form->label('Album.series_id', __('Series', true)).'</th><td>'.$form->select('Album.series_id', $seriesList, null, array('empty' => false)).$form->error('series_id')."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.cycle', __('Cycle', true)).'</th><td>'.$form->input('Album.cycle', array('label' => false, 'div' => false, 'class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.number', __('Number', true)).'</th><td>'.$form->input('Album.number', array('label' => false, 'div' => false, 'class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.number_suffix', __('Suffix', true)).'</th><td>'.$form->input('Album.number_suffix', array('label' => false, 'div' => false, 'class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.title', __('Title', true)).'</th><td>'.$form->input('Album.title', array('label' => false, 'div' => false))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.publisher_id', __('Publisher', true)).'</th><td>'.$form->select('Album.publisher_id', $publishersList, null, array('empty' => false)).$form->error('publisher_id')."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.collection_id', __('Collection', true)).'</th><td>'.$form->select('Album.collection_id', $collectionsList, null, array('empty' => __('[ none ]', true)))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.first_edition', __('First edition', true)).'</th><td>'.$form->input('Album.first_edition', array('type' => 'text', 'label' => false, 'div' => false, 'class' => 'date'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.this_edition', __('This edition', true)).'</th><td>'.$form->input('Album.this_edition', array('type' => 'text', 'label' => false, 'div' => false, 'class' => 'date'))
	.$html->image('copy-from.png', array('class' => 'input-helper', 'id' => 'copy-from-first-ed', 'alt' => __('Copy from first edition', true), 'title' => __('Copy from first edition', true)))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.wishlist', __('Wishlist', true)).'</th><td>'.$form->checkbox('Album.wishlist')."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.purchase_date', __('Purchase date', true)).'</th><td>'.$form->input('Album.purchase_date', array('type' => 'text', 'label' => false, 'div' => false, 'class' => 'date'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.purchase_price', __('Purchase price', true)).'</th><td>'.$form->input('Album.purchase_price', array('label' => false, 'div' => false, 'class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.width', __('Width', true)).'</th><td>'.$form->input('Album.width', array('label' => false, 'div' => false, 'class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.height', __('Height', true)).'</th><td>'.$form->input('Album.height', array('label' => false, 'div' => false, 'class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.pages', __('Pages', true)).'</th><td>'.$form->input('Album.pages', array('label' => false, 'div' => false, 'class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.binding_id', __('Binding', true)).'</th><td>'.$form->select('Album.binding_id', $bindingsList, null, array('empty' => false))."</td></tr>\n";
echo '<tr><th>'.$form->label('', __('Price history', true)).'</th><td>'.$priceTools->getHistoryEditor($this->data, 'AlbumPrice')."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.isbn', __('ISBN', true)).'</th><td>'.$form->input('Album.isbn', array('label' => false, 'div' => false))."</td></tr>\n";
echo '<tr><th>'.$form->label('Writer.Writer', __('Writers', true)).'</th><td>'.$form->select('Writer.Writer', $authorsList, null, array('multiple' => 'multiple', 'size' => Configure::read('Demyo.View_multiSelectHeight'), 'empty' => false))."</td></tr>\n";
echo '<tr><th>'.$form->label('Artist.Artist', __('Artists', true)).'</th><td>'.$form->select('Artist.Artist', $authorsList, null, array('multiple' => 'multiple', 'size' => Configure::read('Demyo.View_multiSelectHeight'), 'empty' => false))."</td></tr>\n";
echo '<tr><th>'.$form->label('Colorist.Colorist', __('Colorists', true)).'</th><td>'.$form->select('Colorist.Colorist', $authorsList, null, array('multiple' => 'multiple', 'size' => Configure::read('Demyo.View_multiSelectHeight'), 'empty' => false))."</td></tr>\n";
echo '<tr><th>'.$form->label('Tag.Tag', __('Tags', true)).'</th><td>'.$form->text('Tag.Tag')."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.summary', __('Summary', true)).'</th><td>'.$rte->textarea('Album.summary')."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.comment', __('Comment', true)).'</th><td>'.$rte->textarea('Album.comment')."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.cover_id', __('Cover', true)).'</th><td>'.$form->select('Album.cover_id', $imagesList, null, array('empty' => __('[ none ]', true)))."</td></tr>\n";
echo '<tr><th>'.$form->label('Image.Image', __('Images', true)).'</th><td>'.$form->select('Image.Image', $imagesList, null, array('multiple' => 'multiple', 'size' => Configure::read('Demyo.View_multiSelectHeight'), 'empty' => false))."</td></tr>\n";

$jQuery->includeLib(array('ui', 'number_field', 'datepicker', 'tag_field'));
?>
</table>
<script type="text/javascript">
//<![CDATA[
jQuery('input#TagTag').tagField(<?php echo ('["'.implode('","', $tagsList).'"]')?>, {
	deleteText: '<?php echo __('Click to remove tag', true)?>'
}, {});
jQuery('input#AlbumCycle').numberField({ defaultNumber: 1, allowFloat: false });
jQuery('input#AlbumNumber').numberField({ defaultNumber: 1, allowFloat: true });
jQuery('input#AlbumPurchasePrice').numberField({ defaultNumber: 1, allowFloat: true });
jQuery('input#AlbumWidth').numberField({ defaultNumber: 1, allowFloat: true });
jQuery('input#AlbumHeight').numberField({ defaultNumber: 1, allowFloat: true });
jQuery('input#AlbumPages').numberField({ defaultNumber: 1, allowFloat: false });
jQuery('input.number.price').numberField({ defaultNumber: 1, allowFloat: true });
jQuery('input.date').DemyoDatePicker({ locale: jQuery.DatePickerLocales.<?php echo Configure::read('Demyo.lang') ?> });
jQuery('#copy-from-first-ed').click(function() {
	jQuery('#AlbumThisEdition').val(jQuery('#AlbumFirstEdition').val());
});

var initialPublisherID = <?php echo empty($this->data['Album']['publisher_id'])?0:$this->data['Album']['publisher_id']?>;
var initialCollectionID = <?php echo empty($this->data['Album']['collection_id'])?0:$this->data['Album']['collection_id']?>;

function updateCollectionList() {
	var id = jQuery('select#AlbumPublisherId').val();
	jQuery.get('<?php echo $html->url('/collections/fromPublisher/')?>'+id, function(data) {
		jQuery('select#AlbumCollectionId').html('<option value=""><?php __('[ none ]') ?><\/option>' + data);
		
		// Reset to initial collection if publisher goes back to initial value
		if (id == initialPublisherID)
			jQuery('select#AlbumCollectionId').val(initialCollectionID);
	});
}

var purchaseDate = jQuery('input#AlbumPurchaseDate').val();
var purchasePrice = jQuery('input#AlbumPurchasePrice').val();
function checkWishlist() {
	var box = jQuery('input#AlbumWishlist');
	var dateField = jQuery('input#AlbumPurchaseDate');
	var priceField = jQuery('input#AlbumPurchasePrice');
	if (new Boolean(box.attr("checked")) == true) {
		purchaseDate = dateField.val();
		purchasePrice = priceField.val();
		dateField.val('');
		priceField.val('');
		dateField.attr('disabled', 'disabled').addClass('disabled');
		priceField.attr('disabled', 'disabled').addClass('disabled');
	} else {
		dateField.removeAttr('disabled').removeClass('disabled');
		priceField.removeAttr('disabled').removeClass('disabled');
		dateField.val(purchaseDate);
		priceField.val(purchasePrice);
	}
}

jQuery(function() {
	jQuery('select#AlbumPublisherId').bind('change', updateCollectionList);
	jQuery('input[type="reset"]').bind('click', function() {
		// On reset, reload the correct collection list
		jQuery('select#AlbumPublisherId').val(initialPublisherID);
		jQuery('select#AlbumPublisherId').trigger('change');
	});
	updateCollectionList();

	checkWishlist();
	jQuery('input#AlbumWishlist').change(checkWishlist);
});
//]]>
</script>
<div class="buttons"><input type="submit" value="<?php if ($isEdit) __('Update'); else __('Add')?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</fieldset>
</form>
<?php echo $jQuery->clearValidationErrorsOnChange() ?>