<?php
/* Copyright 2007-2011 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$currentTitle = $this->getVar('title_for_layout');
if (empty($currentTitle))
	$this->set('title_for_layout', __('Albums', true));

$quicksearch->setSearchCategories(array('Series', 'Album', 'Tag'));

$actions = array(
	array('add' => 'Album'),
	array('add' => 'Series'),
	array('url' => '/images/cleanThumbnails', 'title' => __('Refresh thumbnails', true))
);
if ($onlyWithCover) {
	$actions[] = array('url' => array_merge($this->params['pass'], array('onlyWithCover' => 'false')), 'title' => __('View albums with ot without cover', true));
} else {
	$actions[] = array('url' => array_merge($this->params['pass'], array('onlyWithCover' => 'true')), 'title' => __('View only albums with a cover', true));
}
$menu->preparePopupMenu($actions);

$myPaginator->options(array('url' => $this->params['pass']));

?>

<h2><?php echo $this->getVar('title_for_layout')?></h2>

<?php
$letters = $myPaginator->letters();
if ($letters) {
	?>
<div class="pages_nav_letters">
	<?php echo $letters ?>
</div>
	<?php
}
?>

<?php

if (empty($albums)) {
	echo '<div class="info">'.__('No albums to show.', true).'</div>';
	return;
}

$viewText = __('View album details', true);
$editText = __('Edit this album', true);
$viewImg = $html->image('view-small.png', array('alt' => $viewText));
$editImg = $html->image('edit-small.png', array('alt' => $editText));

$images = array();
foreach($albums as $album) {
	$image = null;
	
	if (empty($album['Cover']['url'])) {
		// Fill with dummy data
		$image = array(
			'url' => '',
			'thumb_url' => ''
		);
	} else {
		$image = $album['Cover'];
	}
	
	$number = $albumTools->getAlbumNumber($album['Album'], array('noDot' => true));
	if (!empty($number)) {
		$number .= ' - ';
	}
	$image['description'] = $album['Series']['name'].' - '.$number.$album['Album']['title'];
	
	$image['legend'] = $html->link($album['Series']['name'], '/series/view/'.$album['Album']['series_id']).'<br />';
	$image['legend'] .= $html->link($text->shortenWithFullWords($album['Album']['title'], Configure::read('Demyo.View_derivIndexMaxLength')), '/albums/view/'.$album['Album']['id']).'<br />';
	$image['legend'] .= '<br /><a href="'.$html->url('/albums/view/'.$album['Album']['id'])."\" title=\"$viewText\">$viewImg</a>&nbsp;&nbsp;&nbsp;"
		.'<a href="'.$html->url('/albums/edit/'.$album['Album']['id'])."\" title=\"$editText\">$editImg</a>";
	
	array_push($images, $image);
}

?>

<table class="gallery">
<?php echo $colorbox->gallery($images, 'albums'); ?>
</table>

<div class="pages_nav_numbers">
	<?php echo $myPaginator->prev()?> <?php echo $myPaginator->numbers()?> <?php echo $myPaginator->next()?>
</div>
<div class="pages_nav_jump">
	<?php echo $myPaginator->directJump()?>
</div>

