<?php /* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
if ($type === 'global') {
	$this->set('title_for_layout', __('Global purchase statistics', true));
	$labelIndex = 'year';
}
else if ($type === 'monthly') {
	$this->set('title_for_layout', __s('Purchase statistics for %s', $period));
	$labelIndex = 'month';
}
echo "<h2>{$this->getVar('title_for_layout')}</h2>";

function prepareChartResultSet(&$chart, $resultSet, $labelIndex) {
	list($prepared['labels'], $prepared['data'], $prepared['notShown']) = $chart->extract($resultSet, $labelIndex, 'count', Configure::read('Demyo.Stats_years'));
	$numYears = count($prepared['labels']);
	if ($prepared['labels'][$numYears-1] == 0) {
		unset($prepared['labels'][$numYears-1]);
		$prepared['notShown'] += $prepared['data'][$numYears-1];
		unset($prepared['data'][$numYears-1]);
	}
	$prepared['labels'] = array('x' => array_reverse($prepared['labels']));
	$prepared['data'] = array(array_reverse($prepared['data']));
	return $prepared;
}

$stats = prepareChartResultSet($chart, $stats, $labelIndex);

if ($type === 'monthly') {
	// Add missing months: we want to always show 12 months
	$filledLabels = array();
	$filledData = array();
	
	$i = 1;
	foreach ($stats['labels']['x'] as $index => $month) {
		while ($i < $month) {
			$filledLabels[$i-1] = $i;
			$filledData[$i-1] = 0;
			$i++;
		}
		
		$filledLabels[$month-1] = $month;
		$filledData[$month-1] = $stats['data'][0][$index];
		$i++;
	}
	while ($i <= 12) {
		$filledLabels[$i-1] = $i;
		$filledData[$i-1] = 0;
		$i++;
	}
	$stats['labels']['x'] = $filledLabels;
	$stats['data'][0] = $filledData;
	
	// Make text representations of months
	foreach ($stats['labels']['x'] as &$label) {
		$label = strftime('%b', mktime(0, 0, 0, $label, 1, 1970)); // We have the same month names every year, right?
	}
}

echo $chart->chart($stats['data'], $stats['labels'], array('x_grid' => 0, 'y_grid' => 25));

if ($stats['notShown'] > 0)
	echo '<p>'.__s('%s albums not shown in chart', $stats['notShown']).'</p>';
?>
