<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout', $album['Album']['title'].' - '.$album['Series']['name'].' - '.__('Albums', true));

$quicksearch->setSearchCategories(array('Series', 'Album'));

if (empty($album['Borrower'])) {
	$lendOrGetBack = array('url' => '#', 'title' => __('Lend this album', true), 'attributes' => array('onclick' => "jQuery('form#lending-form').dialog('open'); return false;"));
} else {
	$lendOrGetBack = array('url' => '/borrowers/getBack/'.$album['Album']['id'], 'title' => __('Get this album back', true));
}

$menu->preparePopupMenu(array(
	array('edit' => 'Album', 'id' => $album['Album']['id']),
	array('url' => '/derivatives/add/toAlbum:'.$album['Album']['id'], 'title' => __('Add a derivative to this album', true)),
	$lendOrGetBack,
	array('delete' => 'Album', 'id' => $album['Album']['id']),
	array('edit' => 'Series', 'id' => $album['Album']['series_id']),
	array('add' => 'Album'),
	array('url' => '/albums/view/'.$album['Album']['id'].'/printable', 'title' => __('Printer-friendly version', true))
));

// Fix dates
$album['Album']['purchase_date'] = __date($album['Album']['purchase_date']);
$album['Album']['first_edition'] = __date($album['Album']['first_edition']);
$album['Album']['this_edition'] = __date($album['Album']['this_edition']);

if (! empty($album['Cover']['id']))
	echo $colorbox->thumb($album['Cover']['url'], $album['Cover']['thumb_url'],
		array('div-id' => 'album-view-cover', 'alt' => __('Cover', true), 'isLocal' => $album['Cover']['is_local'], 'group' => 'albumImages'));
?>
<table class="details">
	<tr><th><?php __('Series') ?></th><td><?php echo $html->link($album['Series']['name'],'/series/view/'.$album['Album']['series_id'])?></td></tr>
	<?php $prefetch->prefetch('/series/view/'.$album['Album']['series_id']); ?>
	
	<tr><th><?php __('Title') ?></th><td><?php
	$number = $albumTools->getAlbumNumber($album['Album'], array('noDot' => true));
	echo (empty($number)?'':$number.'&nbsp;-&nbsp;');
	?><?php echo $album['Album']['title']?></td></tr>
	
	<tr><th><?php __('Publisher') ?></th><td><?php echo $html->link($album['Publisher']['name'],'/publishers/view/'.$album['Album']['publisher_id'])?></td></tr>
	
	<?php if (!empty($album['Album']['collection_id'])): ?>
	<tr><th><?php __('Collection') ?></th><td><?php echo $html->link($album['Collection']['name'],'/collections/view/'.$album['Album']['collection_id'])?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Writer'])): ?>
	<tr><th><?php __('Writers') ?></th><td><?php echo $list->CSVList($album['Writer'], array('meta_name'), '/authors/view/%d')?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Artist'])): ?>
	<tr><th><?php __('Artists') ?></th><td><?php echo $list->CSVList($album['Artist'], array('meta_name'), '/authors/view/%d')?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Colorist'])): ?>
	<tr><th><?php __('Colorists') ?></th><td><?php echo $list->CSVList($album['Colorist'], array('meta_name'), '/authors/view/%d')?></td></tr>
	<?php endif; ?>
	
	<?php if(!empty($album['Album']['first_edition']) && $album['Album']['first_edition'] == $album['Album']['this_edition']) { ?>
	<tr><th><? __('Edition') ?></th><td><?php echo $album['Album']['first_edition']?> (<?php __('First edition') ?>)</td></tr>
	<?php } else {
				if (!empty($album['Album']['first_edition'])) {
	?>
	<tr><th><? __('First edition') ?></th><td><?php echo $album['Album']['first_edition']?></td></tr>
	<?php		}
				if (!empty($album['Album']['this_edition'])) {
	?>
	<tr><th><? __('Edition') ?></th><td><?php echo $album['Album']['this_edition']?></td></tr>
	<?php }} ?>

	<?php
	if ($album['Album']['wishlist']) {
		?><tr><th><?php __('Wishlist') ?></th><td><em><?php __('This album is a wishlist item.') ?></em></td></tr><?php
	} else {
		echo $priceTools->getPurchaseTableRows($album['Album']['purchase_date'], $album['Album']['purchase_price']);
	}
	?>

	<?php if (!empty($album['Album']['binding_id'])): ?>
	<tr><th><?php __('Book binding') ?></th><td><?php echo $album['Binding']['name']?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['width']) && !empty($album['Album']['height'])): ?>
	<tr><th><?php __('Size') ?></th><td><?php echo $album['Album']['width']?> x <?php echo $album['Album']['height']?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['pages'])): ?>
	<tr><th><?php __('Pages') ?></th><td><?php echo $album['Album']['pages']?></td></tr>
	<?php endif; ?>
	
	<?php
	if (!empty($album['AlbumPrice'])) {
		if (count($album['AlbumPrice']) == 1) {
			?><tr><th><?php __('Price') ?></th><td><?php echo __s('%1$s%2$s (as of %3$s)', Configure::read('Demyo.currency'), $album['AlbumPrice'][0]['price'], __date($album['AlbumPrice'][0]['date']))?></td></tr><?php
		} elseif (count($album['AlbumPrice']) > 1) {
			list($priceHistory['dates'], $priceHistory['prices']) = $chart->extract($album['AlbumPrice'], 'date', 'price', 256);
			foreach ($priceHistory['dates'] as &$histDate) {
				$histDate = __date($histDate, 'charts');
			}
			//$priceHistory['dates'] = array_map('__date', $priceHistory['dates']);
			$priceChartParams = array('type' => 'line', 'x_label_orientation' => 'diagonal', 'y_min' => 'auto');
			if (!empty($album['Album']['purchase_price'])) {
				$priceChartParams['mark'] = array($album['Album']['purchase_price'] => __('Purchase price', true));
			}
			?><tr><th><?php __('Price history') ?></th><td><?php echo $chart->chart(array($priceHistory['prices']), array('x' => $priceHistory['dates']), $priceChartParams)?></td></tr><?php
		} 
	?>
	<?php } ?>
	
	<?php if (!empty($album['Tag'])) { ?>
	<tr><th><?php __('Tags') ?></th><td><?php echo $tagTools->CSVList($album['Tag'])?></td></tr>
	<?php } ?>
	
	<?php if (!empty($album['Borrower'])):?>
	<tr><th><?php __('Lended to') ?></th><td><?php echo __s('%s since %s',
		$album['Borrower'][0]['meta_name'],
		__date($album['Borrower'][0]['AlbumsBorrower']['borrow_date']))?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['isbn'])): ?>
	<tr><th><?php __('ISBN') ?></th><td><?php echo $album['Album']['isbn']?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['summary'])): ?>
	<tr><th><?php __('Summary') ?></th><td><?php echo $rte->parse($album['Album']['summary'])?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['comment'])): ?>
	<tr><th><?php __('Comment') ?></th><td><?php echo $rte->parse($album['Album']['comment'])?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['derivative_count'])): ?>
	<tr><th><?php __('Derivatives') ?></th>
	<td><?php echo $html->link(__s('View %d derivatives for this album', $album['Album']['derivative_count']), '/derivatives/index/fromAlbum:'.$album['Album']['id'])?>
	<a id="derivatives-inliner" href="#inline-derivatives">(<?php __('view them here')?>)</a></td></tr>
	<?php endif; ?>
</table>

<?php if (!empty($album['Album']['derivative_count'])) { ?>
<div id="inline-derivatives" style="display: none"><div class="loading"><?php echo __('Loading')?></div></div>

<script type="text/javascript">
jQuery('a#derivatives-inliner').one('click', showInlineDerivatives);
function showInlineDerivatives() {
	jQuery('div#inline-derivatives').show();
	jQuery.get('<?php echo $html->url(array('controller' => 'derivatives', 'action' => 'index', 'fromAlbum' => $album['Album']['id'], 'ajax' => true))?>', {}, function(data) {
		jQuery('div#inline-derivatives').html(data);
	});
}
</script>
<?php } ?>

<?php
if (! empty($album['Image'])) { ?>
<h2 id="gallery"><?php __('Gallery') ?></h2>
<table class="gallery">
<?php
echo $colorbox->gallery($album['Image'], 'albumImages');
?>
</table>
<?php }

if ($surroundings['previous'] !== null || $surroundings['next'] !== null) {
?>
<div class="album-navigation">
	<div class="previous">
<?php
if ($surroundings['previous'] !== null) {
	$url = $html->url('/albums/view/'.$surroundings['previous']['Album']['id']);
	echo '<a href="'.$url.'" title="'.__('Go to previous album in this series', true).'">« '.$surroundings['previous']['Album']['title'].'</a>';
	$jQuery->shortcutGoto('left', $url);
	$prefetch->prefetch($url);
}
?>
	</div>
	<div class="next">&nbsp;
<?php
if ($surroundings['next'] !== null) {
	$url = $html->url('/albums/view/'.$surroundings['next']['Album']['id']);
	echo '<a href="'.$url.'" title="'.__('Go to next album in this series', true).'">'.$surroundings['next']['Album']['title'].' »</a>';
	$jQuery->shortcutGoto('right', $url);
	$prefetch->prefetch($url);
}
?>
	</div>
</div>
<?php
}
?>

<form id="lending-form" action="<?php echo $html->url('/borrowers/lend')?>" method="post"><div>
<input type="hidden"name="data[Album][<?php echo $album['Album']['id']?>]" value="on" />
<label for="BorrowerName"><?php __('Lend to') ?></label><input type="text" value="" id="BorrowerName" name="data[Borrower][name]" />
</div></form>
<?php $jQuery->includeLib('ui'); ?>
<script type="text/javascript">
jQuery('form#lending-form').dialog({
		autoOpen: false,
		modal: true,
		position: ['center', 150],
		title: "<?php __('Lend this album')?>",
		// Hack to set Cancel in a different set and prevent focus on OK
		open: function(e) { jQuery('.ui-dialog-buttonpane button:last', jQuery(e.target).parent()).addClass('ui-priority-secondary');jQuery('.ui-dialog-buttonpane button:first', jQuery(e.target).parent()).blur();},
		buttons: {
			"<?php __('Lend') ?>": function() {
				jQuery('form#lending-form').submit();
			},
			"<?php __('Cancel') ?>": function() {
				jQuery(this).dialog('close');
			}
		}
	});
jQuery(function() {
	jQuery('div.chart').resizable();
});
</script>