<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout', $author['Author']['meta_name'].' - '.__('Authors', true));

$quicksearch->setSearchCategories(array('Author'));

$menu->preparePopupMenu(array(
	array('edit' => 'Author', 'id' => $author['Author']['id']),
	array('delete' => 'Author', 'id' => $author['Author']['id']),
	array('add' => 'Author')
));

if (! empty($author['Image']['id'])) {
	echo $colorbox->thumb($author['Image']['url'], $author['Image']['thumb_url'],
		array('div-id' => 'author-view-portrait', 'alt' => __('Portrait', true), 'isLocal' => $author['Image']['is_local']));
}
?>
<table class="details">
	<tr><th><?php __('Name') ?></th><td><?php echo $author['Author']['meta_name']?></td></tr>
	
	<?php if (!empty($author['Author']['website'])): ?>
	<tr><th><?php __('Website') ?></th><td><a href="<?php echo $author['Author']['website']?>"><?php echo $author['Author']['website']?></a></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($author['Author']['biography'])): ?>
	<tr><th><?php __('Biography') ?></th><td><?php echo $rte->parse($author['Author']['biography'])?></td></tr>
	<?php endif; ?>
	
	<?php if (! empty($asArtist)): ?>
	<tr><th><?php __('Has drawn albums from') ?></th>
	<td><?php echo $albumTools->seriesAlbumShortList($asArtist)?></td></tr>
	<?php endif; ?>
	
	<?php if (! empty($asWriter)): ?>
	<tr><th><?php __('Has written albums from') ?></th>
	<td><?php echo $albumTools->seriesAlbumShortList($asWriter)?></td></tr>
	<?php endif; ?>
	
	<?php if (! empty($asColorist)): ?>
	<tr><th><?php __('Has colored albums from') ?></th>
	<td><?php echo $albumTools->seriesAlbumShortList($asColorist)?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($author['Author']['derivative_count'])): ?>
	<tr><th><?php __('Derivatives') ?></th>
	<td><?php echo $html->link(__s('View %d derivatives for this author', $author['Author']['derivative_count']), '/derivatives/index/fromArtist:'.$author['Author']['id'])?>
	<a id="derivatives-inliner" href="#inline-derivatives">(<?php __('view them here')?>)</a></td></tr>
	<?php endif; ?>
</table>

<?php echo $albumTools->seriesAlbumShortListJSEnabler()?>

<?php if (!empty($author['Author']['derivative_count'])) { ?>
<div id="inline-derivatives" style="display: none"><div class="loading"><?php echo __('Loading')?></div></div>

<script type="text/javascript">
jQuery('a#derivatives-inliner').one('click', showInlineDerivatives);
function showInlineDerivatives() {
	jQuery('div#inline-derivatives').show();
	jQuery.get('<?php echo $html->url(array('controller' => 'derivatives', 'action' => 'index', 'fromArtist' => $author['Author']['id'], 'ajax' => true))?>', {}, function(data) {
		jQuery('div#inline-derivatives').html(data);
	});
}
</script>
<?php } ?>
