<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout', __('Borrowers', true));

$borrowerUrlPart = $fromBorrower?"borrower:$fromBorrower":'';
if ($showingAll)
	$menu->preparePopupMenu(array(array('url' => '/borrowers/index/onlyCurrent:true'.$borrowerUrlPart, 'title' => __('See current loans only', true))));
else
	$menu->preparePopupMenu(array(array('url' => '/borrowers/index/onlyCurrent:false'.$borrowerUrlPart, 'title' => __('Include past loans', true))));

$myPaginator->options(array('url' => $this->params['pass']));

if (empty($loans)) {
	echo '<div class="info">',__('No loans to show', true),'</div>';
	return;
}
?>
<h2><?php
if ($showingAll)
	__('Loan history (including returned albums):');
else
	__('Albums currently lended:');
?></h2>

<form action="<?php echo $html->url('/borrowers/getBack')?>" method="post">
<ul id="loan_list">

<?php
foreach($loans as &$loan) {
	$number = $albumTools->getAlbumNumber($loan['Album'], array('noDot' => true));
	if ($number != '')
		$number .= ' - ';
	$title = "<a href=\"".$html->url('/series/view/'.$loan['Album']['Series']['id'])."\">{$loan['Album']['Series']['name']}</a> - $number <a href=\"".$html->url('/albums/view/'.$loan['Album']['id'])."\">{$loan['Album']['title']}</a>";
	
	$hide = '';
	$returnDate = __date($loan['AlbumsBorrower']['return_date']);
	if (empty($returnDate))
		$text = __s('%s: lended to %s since %s',
			$title,
			'<a href="'.$html->url('/borrowers/view/'.$loan['Borrower']['id']).'">'.$loan['Borrower']['meta_name'].'</a>',
			__date($loan['AlbumsBorrower']['borrow_date']));
	else {
		$text = __s('%s: lended to %s from %s to %s',
			$title,
			'<a href="'.$html->url('/borrowers/view/'.$loan['Borrower']['id']).'">'.$loan['Borrower']['meta_name'].'</a>',
			__date($loan['AlbumsBorrower']['borrow_date']),
			$returnDate);
		$hide = 'style="visibility: hidden" disabled="disabled"';
	}
	?>
	<li><input type="checkbox" name="data[Album][<?php echo $loan['Album']['id']?>]" id="album<?php echo $loan['Album']['id']?>" <?php echo $hide?> /><label for="album<?php echo $loan['Album']['id']?>"><?php echo $text?></label></li>
	<?php
}
?>

</ul>
<input type="submit" value="<?php __('Mark selected albums as returned'); ?>" />
</form>

<?php if ($doPaginate) { ?>
<div class="pages_nav_numbers">
	<?php echo $myPaginator->prev()?> <?php echo $myPaginator->numbers()?> <?php echo $myPaginator->next()?>
</div>
<div class="pages_nav_jump">
	<?php echo $myPaginator->directJump()?>
</div>
<?php } ?>