<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout', $collection['Collection']['name'].' - '.__('Collections', true));

$quicksearch->setSearchCategories(array('Collection', 'Publisher'));

$menu->preparePopupMenu(array(
	array('edit' => 'Collection', 'id' => $collection['Collection']['id']),
	array('delete' => 'Collection', 'id' => $collection['Collection']['id']),
	array('add' => 'Collection')
));

if (! empty($collection['Image']['id'])) {
	echo $colorbox->thumb($collection['Image']['url'], $collection['Image']['thumb_url'],
		array('div-id' => 'pubcol-view-logo', 'alt' => __('Logo', true), 'isLocal' => $collection['Image']['is_local']));
}
?>
<table class="details">
	<tr><th><?php __('Name') ?></th><td><?php echo $collection['Collection']['name']?></td></tr>
	
	<tr><th><?php __('Publisher') ?></th><td><?php echo $html->link($collection['Publisher']['name'], '/publishers/view/'.$collection['Publisher']['id'])?></td></tr>
	
	<?php if (!empty($collection['Collection']['website'])) { ?>
	<tr><th><?php __('Website') ?></th><td><a href="<?php echo $collection['Collection']['website']?>"><?php echo $collection['Collection']['website']?></a></td></tr>
	<?php } ?>
	
	<?php if (!empty($collection['Collection']['history'])) { ?>
	<tr><th><?php __('History') ?></th><td><?php echo $rte->parse($collection['Collection']['history'])?></td></tr>
	<?php } ?>
	
	<?php if (!empty($collection['Collection']['album_count'])): ?>
	<tr><th><?php __('Albums') ?></th>
	<td><?php echo $html->link(__s('View %d albums from this collection', $collection['Collection']['album_count']), '/albums/index/fromCollection:'.$collection['Collection']['id'])?></td></tr>
	<?php endif; ?>
</table>

<?php
if (!empty($collection['Collection']['feed']))
	echo $feed->showAJAXFeed('/feeds/from/collections/'.$collection['Collection']['id'], __('Show latest news from this collection', true));
?>
