<?php /* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout', __('Configuration', true));
?>
 <h2><?php __('Configure Demyo\'s behavior') ?></h2>
 
<form class="addedit" method="post" action="<?php echo $html->url('/configurator/edit')?>">
<div id="config-tabs" class="ui-tabbed">
	<ul>
		<li><a href="#config-main"><?php __('Main') ?></a></li>
		<li><a href="#config-locale"><?php __('Language') ?></a></li>
		<li><a href="#config-albums"><?php __('Series and albums') ?></a></li>
		<li><a href="#config-derivatives"><?php __('Derivatives') ?></a></li>
		<li><a href="#config-images"><?php __('Images') ?></a></li>
		<li><a href="#config-statistics"><?php __('Statistics') ?></a></li>
	</ul>
	<div id="config-main" class="ui-tab"><table class="details">
		<tr><th><?php __('Columns on index pages') ?></th><td><input type="text" class="number" id="columnsPerIndexPage" name="data[columnsPerIndexPage]" value="<?php echo $config['columnsPerIndexPage']?>" /></td></tr>
		<tr><th><?php __('Items per column on index pages') ?></th><td><input type="text" class="number" id="itemsPerIndexColumns" name="data[itemsPerIndexColumns]" value="<?php echo $config['itemsPerIndexColumns']?>" /></td></tr>
		<?php $adaptiveQuicksearch = Configure::read('Demyo.Quicksearch_adaptive')?'checked="checked"':''; ?>
		<tr><th><?php __('Enable adaptive quick search') ?></th><td><input type="checkbox" name="data[Quicksearch_adaptive]" <?php echo $adaptiveQuicksearch?> /></td></tr>
		<?php $quicksearchNewWindow = Configure::read('Demyo.Quicksearch_newWindow')?'checked="checked"':''; ?>
		<tr><th><?php __('Show quick search result in new window') ?></th><td><input type="checkbox" name="data[Quicksearch_newWindow]" <?php echo $quicksearchNewWindow?> /></td></tr>
		<tr><th><?php __('Quick search shortcut') ?></th><td><input type="text" class="short" id="Quicksearch_shortcut" name="data[Quicksearch_shortcut]" value="<?php echo $config['Quicksearch_shortcut']?>" /></td></tr>
		<tr><th><?php __('Number of tags to show on home page') ?></th><td><input type="text" class="number" id="Widget_tagsCount" name="data[Widget_tagsCount]" value="<?php echo $config['Widget_tagsCount']?>" /></td></tr>
		<?php $sortTagsOnHome = Configure::read('Demyo.Widget_tagsSorted')?'checked="checked"':''; ?>
		<tr><th><?php __('Sort tags on home page') ?></th><td><input type="checkbox" id="Widget_tagsSorted" name="data[Widget_tagsSorted]" <?php echo $sortTagsOnHome?> /></td></tr>
		<tr><th><?php __('Height of the multiple values selects') ?></th><td><input type="text" class="number" id="View_multiSelectHeight" name="data[View_multiSelectHeight]" value="<?php echo $config['View_multiSelectHeight']?>" /></td></tr>
		<tr><th><?php __('Search life time (in hours)') ?></th><td><input type="text" class="number" id="Search_temp_timeout" name="data[Search_temp_timeout]" value="<?php echo $config['Search_temp_timeout']?>" /></td></tr>
		<?php
		if (! empty($availableThemes)) {
			$themes = array();
			foreach ($availableThemes as $theme)
				$themes[$theme] = str_replace('_', ' ', $theme);
			echo '<tr><th>'.__('Theme', true).'</th><td>';
			echo $form->select('theme', $themes, Configure::read('Demyo.theme'), array('empty' => __('Default theme', true)));
			echo '</td></tr>';
		}
		?>
	</table></div>
		<?php
		if (empty($availableThemes)) // If themes have been removed, switch to default
			echo $form->hidden('theme')."\n";
		?>
	<div id="config-locale" class="ui-tab"><table class="details">
		<tr><th><?php __('Language') ?></th><td><?php echo $form->select('lang', $locales, $config['lang'], array('empty' => false))?></td></tr>
		<tr><th><?php __('Currency for prices') ?></th><td><input type="text" class="short" id="currency" name="data[currency]" value="<?php echo $config['currency']?>" /></td></tr>
	</table></div>
	<div id="config-albums" class="ui-tab"><table class="details">
		<tr><th><?php __('Album data to show in series view') ?></th><td>
			<?php
				$i = 0;
				foreach ($config['View_seriesAlbumDetails'] as $option => $value) {
					$value = $value?'checked="checked"':'';
					echo "<input type=\"checkbox\" id=\"detail_$i\" name=\"data[View_seriesAlbumDetails][$option]\" $value /><label for=\"detail_$i\">".__($option, true)."</label><br />";
					$i++;
				}
			?>
		</td></tr>
		<tr><th><?php __('Fold albums lists if they are longer than') ?></th><td><input type="text" class="number" id="View_albumFoldingThreshold" name="data[View_albumFoldingThreshold]" value="<?php echo $config['View_albumFoldingThreshold']?>" /></td></tr>
	</table></div>
	<div id="config-derivatives" class="ui-tab"><table class="details">
		<tr><th><?php __('Columns in derivatives sticker list') ?></th><td><input type="text" class="number" id="View_stickersCols" name="data[View_stickersCols]" value="<?php echo $config['View_stickersCols']?>" /></td></tr>
	</table></div>
	<div id="config-images" class="ui-tab"><table class="details">
		<tr><th><?php __('Thumbs per page in galleries') ?></th><td><input type="text" class="number" id="Gallery_thumbsPerPage" name="data[Gallery_thumbsPerPage]" value="<?php echo $config['Gallery_thumbsPerPage']?>" /></td></tr>
		<tr><th><?php __('Thumbs per line in galleries') ?></th><td><input type="text" class="number" id="Gallery_thumbsPerLine" name="data[Gallery_thumbsPerLine]" value="<?php echo $config['Gallery_thumbsPerLine']?>" /></td></tr>
		<tr><th><?php __('Maximum thumbnail width') ?></th><td><input type="text" class="number" id="maxThumbWidth" name="data[maxThumbWidth]" value="<?php echo $config['maxThumbWidth']?>" /></td></tr>
		<tr><th><?php __('Maximum thumbnail height') ?></th><td><input type="text" class="number" id="maxThumbHeight" name="data[maxThumbHeight]" value="<?php echo $config['maxThumbHeight']?>" /></td></tr>
		<tr><th></th><td><?php echo $html->link(__('Refresh thumbnails', true), '/images/cleanThumbnails')?></td></tr>
	</table></div>
	<div id="config-statistics" class="ui-tab"><table class="details">
		<tr><th><?php __('Chart drawing method') ?></th><td><?php echo $form->select('Stats_chartMethod', $chartMethods, $config['Stats_chartMethod'], array('empty' => false))?></td></tr>
		<tr><th><?php __('Years to show in charts') ?></th><td><input type="text" class="number" id="Stats_years" name="data[Stats_years]" value="<?php echo $config['Stats_years']?>" /></td></tr>
		<tr><th><?php __('Chart width') ?></th><td><input type="text" class="number" id="Stats_chartWidth" name="data[Stats_chartWidth]" value="<?php echo $config['Stats_chartWidth']?>" /></td></tr>
		<tr><th><?php __('Chart height') ?></th><td><input type="text" class="number" id="Stats_chartHeight" name="data[Stats_chartHeight]" value="<?php echo $config['Stats_chartHeight']?>" /></td></tr>
	</table></div>
	
	<div class="buttons"><input type="submit" value="<?php __('Save')?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</div>



</form>

<?php $jQuery->includeLib(array('ui', 'number_field')); ?>
<script type="text/javascript">
jQuery(function(){
	var tabs = jQuery('#config-tabs').tabs();
	jQuery('#config-tabs').bind('tabsshow', function(event, ui) {
		jQuery('input.number', ui.panel).not('#currency').numberField({ defaultNumber: 1, min: 1 });
	});
	jQuery('#config-main input.number').not('#currency').numberField({ defaultNumber: 1, min: 1 });
});
</script>
