<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$isEdit = isset($isEdit) && $isEdit;

$quicksearch->setSearchCategories(array('Series', 'Album'));

$menu->preparePopupMenu(array(
	array('add' => 'Series'),
	array('add' => 'Album'),
	array('add' => 'Author'),
	array('add' => 'DerivativeType'),
	array('add' => 'Image')
));
?>

<?php echo $form->create('Derivative', array('class' => 'addedit')) ?>
<fieldset>
<legend><?php echo ($isEdit?__('Edit a derivative', true):__('Add a derivative', true))?></legend>
<?php
if ($isEdit)
	echo $form->hidden('Derivative.id');
?>
<input type="hidden" name="smartFlash" value="<?php echo $smartFlash?>" />
<table class="details">
<?php
echo '<tr><th>'.$form->label('Derivative.series_id', __('Series', true)).'</th><td>'.$form->select('Derivative.series_id', $seriesList, null, array('empty' => false)).$form->error('series_id')."</td></tr>\n";
echo '<tr><th>'.$form->label('Derivative.album_id', __('Album', true)).'</th><td>'.$form->select('Derivative.album_id', $albumsList, null, array('empty' => __('[ none ]', true)))."</td></tr>\n";
echo '<tr><th>'.$form->label('Derivative.artist_id', __('Artist', true)).'</th><td>'.$form->select('Derivative.artist_id', $authorsList, null, array('empty' => __('[ none ]', true)))."</td></tr>\n";
echo '<tr><th>'.$form->label('Derivative.derivative_type_id', __('Type', true)).'</th><td>'.$form->select('Derivative.derivative_type_id', $typesList, null, array('empty' => false)).$form->error('derivative_type_id')."</td></tr>\n";
echo '<tr><th>'.$form->label('Source.name', __('Source', true)).'</th><td>'.$form->text('Source.name').$form->error('source_id')."</td></tr>\n";
echo '<tr><th>'.$form->label('Derivative.number', __('Exemplar number', true)).'</th><td>'.$form->input('Derivative.number', array('label' => false, 'div' => false, 'class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Derivative.total', __('Total exemplars', true)).'</th><td>'.$form->input('Derivative.total', array('label' => false, 'div' => false, 'class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Derivative.colors', __('Colors', true)).'</th><td>'.$form->input('Derivative.colors', array('label' => false, 'div' => false, 'class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Derivative.signed', __('Signed', true)).'</th><td>'.$form->checkbox('Derivative.signed')."</td></tr>\n";
echo '<tr><th>'.$form->label('Derivative.authors_copy', __('Author\'s copy', true)).'</th><td>'.$form->checkbox('Derivative.authors_copy')."</td></tr>\n";
echo '<tr><th>'.$form->label('Derivative.restricted_sale', __('Restricted sale', true)).'</th><td>'.$form->checkbox('Derivative.restricted_sale')."</td></tr>\n";
echo '<tr><th>'.$form->label('Derivative.width', __('Width', true)).'</th><td>'.$form->input('Derivative.width', array('label' => false, 'div' => false, 'class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Derivative.height', __('Height', true)).'</th><td>'.$form->input('Derivative.height', array('label' => false, 'div' => false, 'class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Derivative.depth', __('Depth', true)).'</th><td>'.$form->input('Derivative.depth', array('label' => false, 'div' => false, 'class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Derivative.purchase_date', __('Purchase date', true)).'</th><td>'.$form->input('Derivative.purchase_date', array('label' => false, 'div' => false, 'type' => 'text', 'class' => 'date'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Derivative.purchase_price', __('Purchase price', true)).'</th><td>'.$form->input('Derivative.purchase_price', array('label' => false, 'div' => false, 'class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('', __('Price history', true)).'</th><td>'.$priceTools->getHistoryEditor($this->data, 'DerivativePrice')."</td></tr>\n";
echo '<tr><th>'.$form->label('Image.Image', __('Images', true)).'</th><td>'.$form->select('Image.Image', $imagesList, null, array('multiple' => 'multiple', 'size' => Configure::read('Demyo.View_multiSelectHeight'), 'empty' => false))."</td></tr>\n";
echo '<tr><th>'.$form->label('Derivative.description', __('Description', true)).'</th><td>'.$rte->textarea('Derivative.description')."</td></tr>\n";

$jQuery->includeLib(array('ui', 'number_field', 'datepicker'));
?>
</table>
<script type="text/javascript">
//<![CDATA[
jQuery('input.number').not('input#DerivativePrice').not('input#DerivativePurchasePrice').numberField({ defaultNumber: 1 });
jQuery('input#DerivativePrice').numberField({ defaultNumber: 1, allowFloat: true });
jQuery('input#DerivativePurchasePrice').numberField({ defaultNumber: 1, allowFloat: true });
jQuery('input.date').DemyoDatePicker({ locale: jQuery.DatePickerLocales.<?php echo Configure::read('Demyo.lang') ?> });

jQuery('input#SourceName').autocomplete('<?php echo $html->url('/sources/complete', true)?>', {
	selectFirst: false
});

var initialSeriesID = <?php echo empty($this->data['Derivative']['series_id'])?0:$this->data['Derivative']['series_id']?>;
var initialAlbumID = <?php echo empty($this->data['Derivative']['album_id'])?0:$this->data['Derivative']['album_id']?>;

function updateAlbumList() {
	var id = jQuery('select#DerivativeSeriesId').val();
	jQuery.get('<?php echo $html->url('/albums/fromSeries/')?>'+id, function(data) {
		jQuery('select#DerivativeAlbumId').html('<option value=""><?php __('[ none ]') ?><\/option>' + data);
		
		// Reset to initial album if series goes back to initial value
		if (id == initialSeriesID)
			jQuery('select#DerivativeAlbumId').val(initialAlbumID);
	});
}

jQuery(function() {
	jQuery('select#DerivativeSeriesId').bind('change', updateAlbumList);
	jQuery('input[type="reset"]').bind('click', function() {
		// On reset, reload the correct album list (which, incidentally, sets the correct album ID *after* AJAX reload)
		jQuery('select#DerivativeSeriesId').val(initialSeriesID);
		jQuery('select#DerivativeSeriesId').trigger('change');
	});
	updateAlbumList();
});
//]]>
</script>
<div class="buttons"><input type="submit" value="<?php if ($isEdit) __('Update'); else __('Add')?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</fieldset>
</form>
<?php echo $jQuery->clearValidationErrorsOnChange() ?>