<?php /* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$currentTitle = $this->getVar('title_for_layout');
if (empty($currentTitle))
	$this->set('title_for_layout', __('Derivatives', true));

$quicksearch->setSearchCategories(array('Series', 'Album', 'Source'));

if (!$isAjax)
	$menu->preparePopupMenu(array(
		array('add' => 'Derivative'),
		array('url' => '/images/cleanThumbnails', 'title' => __('Refresh thumbnails', true))
	));

?><h2><?php echo $this->getVar('title_for_layout')?></h2>
<?php

if (!$isAjax)
	$myPaginator->options(array('url' => $this->params['pass']));

if (!$isAjax
		&& !isset($this->params['named']['fromSeries']) // It doesn't make sense to show letters
		&& !isset($this->params['named']['fromAlbum'])) { // since we only show one Series or Album
	
	$letters = $myPaginator->letters();
	if ($letters) {
		?>
<div class="pages_nav_letters">
	<?php echo $letters ?>
</div>
		<?php
	}
}

if (empty($derivatives)) {
	echo '<div class="info">'.__('No derivatives to show', true).'</div>';
	return;
}

$viewText = __('View derivative details', true);
$editText = __('Edit this derivative', true);
$viewImg = $html->image('view-small.png', array('alt' => $viewText));
$editImg = $html->image('edit-small.png', array('alt' => $editText));

$images = array();
foreach ($derivatives as $derivative) {
	$image = null;
	
	if (sizeof($derivative['Image']) === 0) {
		// Fill with dummy data
		$image = array(
			'url' => '',
			'thumb_url' => ''
		);
	} else {
		$image = $derivative['Image'][0];
	}
	
	$image['description'] = $derivative['Derivative']['meta_name'];
	
	$image['legend'] = $html->link($derivative['Series']['name'], '/series/view/'.$derivative['Series']['id']).'<br />';
	if (! empty($derivative['Derivative']['album_id']))
		$image['legend'] .= $html->link($text->shortenWithFullWords($derivative['Album']['title'], Configure::read('Demyo.View_derivIndexMaxLength')), '/albums/view/'.$derivative['Derivative']['album_id']).'<br />';
	if (!empty($derivative['Artist']['id']))
		$image['legend'] .= $html->link($derivative['Artist']['meta_name'], '/authors/view/'.$derivative['Artist']['id']).'<br />';
	$image['legend'] .= $html->link($derivative['DerivativeType']['name'], '/derivativeTypes/view/'.$derivative['DerivativeType']['id']);
	if (!empty($derivative['Derivative']['colors']))
		$image['legend'] .= ' ('.__s('%d colors', $derivative['Derivative']['colors']).')';
	if (! empty($derivative['Derivative']['source_id']))
		$image['legend'] .= '<br />'.$html->link($derivative['Source']['name'], '/sources/view/'.$derivative['Source']['id']);
	if (!empty($derivative['Derivative']['number']) && !empty($derivative['Derivative']['total']))
		$image['legend'] .= "<br />{$derivative['Derivative']['number']} / {$derivative['Derivative']['total']}";
	$image['legend'] .= '<br /><a href="'.$html->url('/derivatives/view/'.$derivative['Derivative']['id'])."\" title=\"$viewText\">$viewImg</a>&nbsp;&nbsp;&nbsp;"
		.'<a href="'.$html->url('/derivatives/edit/'.$derivative['Derivative']['id'])."\" title=\"$editText\">$editImg</a>";
	
	array_push($images, $image);
}

?>

<table class="gallery">
<?php echo $colorbox->gallery($images, 'derivatives'); ?>
</table>

<div class="pages_nav_numbers">
<?php
	if ($isAjax) {
		$total = (int)$myPaginator->counter(array('format' => '%count%', true));
		$shown = (int)Configure::read('Demyo.Gallery_thumbsPerPage');
		if ($total > $shown)
			echo $html->link(__s('%d derivatives not shown', $total - $shown), array_merge($this->params['pass'], array('page' => 2))); 
	} else {
		echo $myPaginator->prev().' '.$myPaginator->numbers().' '.$myPaginator->next();
		?>
</div>
<div class="pages_nav_jump">
<?php
		echo $myPaginator->directJump();
	}
?>

</div>

