<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout',$derivative['Derivative']['meta_name'].' - '.__('Derivatives', true));

$quicksearch->setSearchCategories(array('Series', 'Album'));

$menu->preparePopupMenu(array(
	array('edit' => 'Derivative', 'id' => $derivative['Derivative']['id']),
	array('delete' => 'Derivative', 'id' => $derivative['Derivative']['id']),
	array('add' => 'Derivative')
));

// Fix dates
$derivative['Derivative']['purchase_date'] = __date($derivative['Derivative']['purchase_date']);
?>
<table class="details">
	<tr><th><?php __('Series') ?></th><td>
	<?php
	if (! empty($derivative['Series']['name']))
		echo $html->link($derivative['Series']['name'],'/series/view/'.$derivative['Series']['id']);
	else
		echo '<div class="warning">'.__s('This derivative looks <a href="%s">orphaned</a>: it is not linked to a series.', $html->url('/library/orphans')).'</div>';
	?>
	</td></tr>
	
	<?php if (!empty($derivative['Derivative']['album_id'])) { ?>
	<tr><th><?php __('Album') ?></th><td><?php echo $html->link($derivative['Album']['title'],'/albums/view/'.$derivative['Derivative']['album_id'])?></td></tr>
	<?php } ?>
	
	<?php if (!empty($derivative['Artist']['id'])) { ?>
	<tr><th><?php __('Artist') ?></th><td><a href="<?php echo $html->url('/authors/view/'.$derivative['Artist']['id'])?>"><?php echo $derivative['Artist']['meta_name']?></a></td></tr>
	<?php } ?>
	
	<tr><th><?php __('Type') ?></th><td>
		<a href="<?php echo $html->url('/derivativeTypes/view/'.$derivative['DerivativeType']['id'])?>"><?php echo $derivative['DerivativeType']['name']?></a>
		<?php if (!empty($derivative['Derivative']['colors'])) echo ' ('.__s('%d colors', $derivative['Derivative']['colors']).')'; ?>
		</td></tr>
	
	<?php if (!empty($derivative['Derivative']['source_id'])) { ?>
	<tr><th><?php __('Source') ?></th><td><a href="<?php echo $html->url('/sources/view/'.$derivative['Source']['id'])?>"><?php echo $derivative['Source']['name']?></a></td></tr>
	<?php } ?>
	
	<?php if (!empty($derivative['Derivative']['number']) && !empty($derivative['Derivative']['total'])) { ?>
	<tr><th><?php __('Number') ?></th><td><?php echo $derivative['Derivative']['number']?> / <?php echo $derivative['Derivative']['total']?></td></tr>
	<?php } ?>
	
	<?php if ($derivative['Derivative']['signed']
			|| $derivative['Derivative']['authors_copy']
			|| $derivative['Derivative']['restricted_sale']) { ?>
	<tr><th><?php __('Notes') ?></th><td>
		<?php
			$notes = array();
			if ($derivative['Derivative']['signed']) array_push($notes, __('Signed', true));
			if ($derivative['Derivative']['authors_copy']) array_push($notes, __('Author\'s copy', true));
			if ($derivative['Derivative']['restricted_sale']) array_push($notes, __('Restricted sale', true));
			echo implode(', ', $notes);
		?></td></tr>
	<?php } ?>
	
	<?php if (!empty($derivative['Derivative']['width']) && !empty($derivative['Derivative']['height'])) { ?>
	<tr><th><?php __('Size') ?></th><td><?php echo $derivative['Derivative']['width']?> x <?php echo $derivative['Derivative']['height']?>
		<?php if (!empty($derivative['Derivative']['depth'])) echo ' x '.$derivative['Derivative']['depth']; ?>
		</td></tr>
	<?php } ?>
	
	<?php echo $priceTools->getPurchaseTableRows($derivative['Derivative']['purchase_date'], $derivative['Derivative']['purchase_price']); ?>
	
	<?php
	if (!empty($derivative['DerivativePrice'])) {
		if (count($derivative['DerivativePrice']) == 1) {
			?><tr><th><?php __('Price') ?></th><td><?php echo __s('%1$s%2$s (as of %3$s)', Configure::read('Demyo.currency'), $derivative['DerivativePrice'][0]['price'], __date($derivative['DerivativePrice'][0]['date']))?></td></tr><?php
		} elseif (count($derivative['DerivativePrice']) > 1) {
			list($priceHistory['dates'], $priceHistory['prices']) = $chart->extract($derivative['DerivativePrice'], 'date', 'price', 256);
			$priceHistory['dates'] = array_map('__date', $priceHistory['dates']);
			$priceChartParams = array('type' => 'line', 'x_label_orientation' => 'diagonal', 'y_min' => 'auto');
			if (!empty($derivative['Derivative']['purchase_price']))
				$priceChartParams['mark'] = array($derivative['Derivative']['purchase_price'] => __('Purchase price', true));
			?><tr><th><?php __('Price history') ?></th><td><?php echo $chart->chart(array($priceHistory['prices']), array('x' => $priceHistory['dates']), $priceChartParams)?></td></tr><?php
		} 
	?>
	<?php } ?>
	
	<?php if (!empty($derivative['Derivative']['description'])) { ?>
	<tr><th><?php __('Description') ?></th><td><?php echo $rte->parse($derivative['Derivative']['description'])?></td></tr>
	<?php } ?>
</table>

<script type="text/javascript">
jQuery(function() {
	jQuery('div.chart').resizable();
});
</script>

<?php if (! empty($derivative['Image'])) { ?>
<h2><?php __('Gallery') ?></h2>
<table class="gallery">
<?php
echo $colorbox->gallery($derivative['Image'], 'derivImages');
?>
</table>
<?php } ?>
