<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

class AlbumToolsHelper extends AppHelper {
	public $helpers = array('Html', 'jQuery');
	
	public function getAlbumNumber($albumData, $options = array()) {
		$albumNumber = '';
		
		// Only build a number if the number field is not empty
		if (!empty($albumData['number'])) {
			// Cycle
			if (isset($albumData['cycle'])) {
				// Either force for not '', or normal for not empty
				if ((!empty($options['forceCycle']) && $albumData['cycle'] != '') || !empty($albumData['cycle']))
					$albumNumber = "{$albumData['cycle']}.";
			}
			
			// Number
			$albumNumber .= $albumData['number'];
		}
		
		// Suffix. Always show if it's specified (bug #185)
		if (isset($albumData['number_suffix']) && $albumData['number_suffix'] != '')
			$albumNumber .= " {$albumData['number_suffix']}";
		
		// Dot
		if (empty($options['noDot']) && strlen($albumNumber) !== 0)
			$albumNumber .= '.';
		
		return $albumNumber;
	}
	
	public function seriesAlbumShortList(&$albumList) {
		if (empty($albumList))
			return ''; // Only works for arrays of at least one album
		
		$rand = rand(0, 9999);
		$list = "<ul class=\"seriesAlbumsShortList\">\n"
				."\t<li id=\"sasl{$rand}_series_{$albumList[0]['series_id']}\">\n\t\t"
				.$this->Html->link($albumList[0]['Series']['name'], '/series/view/'.$albumList[0]['series_id'])
				."\n\t\t<ul>\n";

		$seriesID = $albumList[0]['series_id'];

		foreach($albumList as &$album) {
			if ($album['series_id'] != $seriesID) {
				$list .= "\t\t</ul>\n\t</li>\n\n\t<li id=\"sasl{$rand}_series_{$album['series_id']}\">\n\t\t"
					.$this->Html->link($album['Series']['name'], '/series/view/'.$album['series_id'])."\n\t\t<ul>\n";
				$seriesID = $album['series_id'];
			}

			$list .= "\t\t\t<li>".$this->Html->link($album['title'], '/albums/view/'.$album['id'])."</li>\n";
		}
		
		$list .= "\t\t</ul>\n\t</li>\n</ul>\n";
		
		return $list;
	}
	
	public function seriesAlbumShortListJSEnabler() {
		$this->jQuery->includeLib('base');
		$expand = $this->url('/'.IMAGES_URL.'plus.png');
		$expandText = __('Show more', true);
		$contract = $this->url('/'.IMAGES_URL.'minus.png');
		$contractText = __('Show less', true);
		$threshold = Configure::read('Demyo.View_albumFoldingThreshold');
		$snippet = <<<EOS
<script type="text/javascript">
//<![CDATA[
function toggle(id) {
	var self = jQuery('li#'+id);
	var expander = jQuery('> img.expander', self);
	if (expander.attr('alt') == '+') {
		expander.attr('src', '$contract');
		expander.attr('alt', '-');
		expander.attr('title', '$contractText');
		jQuery('> ul', self).slideDown();
	} else {
		expander.attr('src', '$expand');
		expander.attr('alt', '+');
		expander.attr('title', '$expandText');
		jQuery('> ul', self).slideUp();
	}
}

jQuery(function() {
	jQuery('ul.seriesAlbumsShortList > li').each(
		function() {
			var self = jQuery(this);
			if (jQuery('ul > li', self).size() > $threshold) {
				jQuery('> a', self).after(' <img src="$expand" class="expander" alt="+" title="$expandText" onclick="toggle(\''+this.id+'\')" />');
				jQuery('> ul', self).hide();
			}
		});
	});
//]]>
</script>
EOS;
		return $snippet;	
	}
}

?>