<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

class ModelFormatterHelper extends AppHelper {
	/** Formats the required fields (or class of fields) from the given model.
	 *
	 * @param string $modelName The name of the model
	 * @param array $data The data array containing at least an array for the
	 * $modelName key
	 * @param string $field
	 * @param boolean $inHtmlTable If true, a full table row will be output.
	 * Else, the raw data will be returned (with no label).
	 */
	public function format($modelName, &$data, $field, $label = false) {
		if ($modelName === 'Album')
			return $this->formatAlbum($data, $field, $label);
		else
			return $this->formatTrivial($data, $field, $label);
	}
	
	private function formatTrivial(&$data, $field, $label) {
		if (! isset($data[$field]))
			return '';
		
		return ($label !== false)?$this->wrapInTableRow(
			$label, $data[$field]):$data[$field];
	}
	
	private function wrapInTableRow($label, $data) {
		return "\t<tr><th>$label</th><td>$data</td></tr>\n";
	}
	
	private function formatAlbum(&$data, $field, $label) {
		// Get value
		switch ($field) {
			default:
				if (! isset($data['Album'][$field]))
					$ret = '';
				else
					$ret = $this->wrapInHtmlTableRow($label, $data['Album'][$field]);
					break;
		}

		return $ret;
	}
}

?>