<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

class PrefetchHelper extends AppHelper {
	private $urls = array();
	
	public function prefetch($url) {
		$url = $this->url($url);
		$this->urls[] = $url;
	}
	
	public function getPrefetchMetaTags($echo = true) {
		$urls = array_unique($this->urls);
		
		$output = '';
		foreach ($urls as $url) {
			// It would be better to use Prev/Next/Contents as per
			// http://www.w3.org/TR/html4/types.html#h-6.12 but only Next is prefetched by Gecko
			// HTML5 also has something like this : http://www.whatwg.org/specs/web-apps/current-work/#link-type-prefetch
			$output .= "\t<link rel=\"prefetch\" href=\"$url\" />\n";
		}
		
		if ($echo)
			echo $output;
		else
			return $output;
	}
}
?>