<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

class PriceToolsHelper extends AppHelper {
	public $helpers = array('Html', 'jQuery');
	
	public function getPurchaseTableRows($date, $price) {
		$ret = '';
		
		if (!empty($date) && !empty($price))
			$ret = '<tr><th>'.__('Purchased', true).'</th><td>'.__s('On %s, for %2$s%3$s', $date, Configure::read('Demyo.currency'), $price).'</td></tr>';
		elseif (!empty($date))
			$ret = '<tr><th>'.__('Purchase date', true)."</th><td>$date</td></tr>";
		elseif (!empty($price))
			$ret = '<tr><th>'.__('Purchased', true).'</th><td>'.__s('For %1$s%2$s', Configure::read('Demyo.currency'), $price).'</td></tr>';
		
		return $ret;
	}

	public function getHistoryEditor($data, $priceModel) {
		$ret = '';
		
		$priceCount = 0;
		if (! empty($this->data[$priceModel])) {
			foreach ($this->data[$priceModel] as $price) {
				$priceCount++;
				$ret .= "<div class=\"price-line\" id=\"{$priceModel}{$priceCount}\">";
				$ret .= "<input id=\"{$priceModel}{$priceCount}Date\" name=\"data[$priceModel][$priceCount][date]\" type=\"text\" value=\"{$price['date']}\" class=\"date\" />";
				$ret .= "<input id=\"{$priceModel}{$priceCount}Price\" name=\"data[$priceModel][$priceCount][price]\" type=\"text\" value=\"{$price['price']}\" class=\"number price\" />";
				$ret .= '<img src="'.$this->Html->url('/img/minus.png').'" alt="'.__('Remove this price', true).'" title="'.__('Remove this price', true).'" class="input-helper" onclick="removePrice(\'div#'.$priceModel.$priceCount.'\')" />';
				$ret .= "</div>\n";
			}
		}
		
		$this->jQuery->includeLib(array('base', 'ui', 'number_field'));
		
		$remover = '<img src="'.$this->Html->url('/img/minus.png').'" alt="'.__('Remove this price', true).'" title="'.__('Remove this price', true).'" class="input-helper" onclick="removePrice(\\\'div#\'+divID+\'\\\')" />';
		$lang = Configure::read('Demyo.lang');
		$code = <<<EOS
var priceCount = $priceCount;
function addPrice() {
	priceCount++;
	var divID = '$priceModel'+priceCount;
	jQuery('img#AlbumPriceAdder').before('<div class="price-line price-added" id="'+divID+'">'
		+ '<input id="$priceModel'+priceCount+'Date" name="data[$priceModel]['+priceCount+'][date]" type="text" value="" class="date" />'
		+ '<input id="$priceModel'+priceCount+'Price" name="data[$priceModel]['+priceCount+'][price]" type="text" value="" class="number price" />'
		+ '$remover'
		+ '<\/div>');
	jQuery('input#$priceModel'+priceCount+'Date').DemyoDatePicker({ locale: jQuery.DatePickerLocales.$lang });
	jQuery('input#$priceModel'+priceCount+'Price').numberField({ defaultNumber: 1, allowFloat: true });
}
function removePrice(divID) {
	jQuery(divID).addClass('price-deleted').hide();
}
jQuery(function() {
	jQuery('form.addedit').bind('reset', function() {
		// Remove added *then* show deleted, leaving only originals
		jQuery('.price-added').remove();
		jQuery('.price-deleted').show().removeClass('price-deleted');
	});

	jQuery('form.addedit').submit(function() {
		jQuery('.price-deleted').remove();
		return true;
	});
});
EOS;
		$ret .= $this->Html->scriptBlock($code);
		$ret .= $this->Html->image('plus.png', array('alt' => __('Add a price', true), 'title' => __('Add a price', true), 'id' => 'AlbumPriceAdder', 'class' => 'input-helper', 'onclick' => 'addPrice()'));

		return $ret;
	}
}

?>