<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

class TagToolsHelper extends AppHelper {
	public $helpers = array('Html', 'List');
	
	public function getSpan($tag) {
		$style = '';
		if (! empty($tag['fgcolor'])) {
			$style = 'color: '.$tag['fgcolor'].';';
		}
		if (! empty($tag['bgcolor'])) {
			$style .= 'background-color: '.$tag['bgcolor'].';';
		}
		
		if ($style !== '')
			return "<span class=\"tag\" style=\"$style\">{$tag['name']}</span>";
		else
			return h($tag['name']);
	}
	
	public function getLink($tag) {
		return $this->Html->link($this->getSpan($tag), '/tags/view/'.$tag['id'], array('escape' => false), false);
	}
	
	public function CSVList($tags) {
		foreach ($tags as &$tag) {
			$tag['name'] = $this->getSpan($tag);
		}
		
		return $this->List->CSVList($tags, array('name'), '/tags/view/%d', false);
	}
}