<?php
/* Copyright 2007-2012 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
require(dirname(__FILE__).'/_common_add.ctp');
?>

<form class="addedit" method="post" action="<?php echo $html->url('/images/addMultiple/from:directory/step:save')?>">
<fieldset>
<legend><?php echo $this->getVar('title_for_layout') ?></legend>
<input type="hidden" name="smartFlash" value="<?php echo $smartFlash?>" />

<table class="details">
<?php
foreach ($this->data['Image'] as $key => $value) {
	echo '<tr><th>'.__('Path', true).'</th><td>'
		.$value['url']
		.$form->hidden("Image.$key.url")
		.'</td></tr>';
	echo "\n<tr><th>".$form->label("Image.$key.description", __('Description', true)).'</th><td>'.$form->input("Image.$key.description", array_merge(array('label' => false, 'div' => false, 'type' => 'text', 'size' => 50)))."</td></tr>\n";
}
?>
<tr><th><?php __('Operations') ?></th><td>
	<a id="operation-prefix"><?php __('Add a prefix to all descriptions') ?></a><br />
	<a id="operation-suffix"><?php __('Add a suffix to all descriptions') ?></a>
</td></tr>
</table>

<div class="buttons">
	<input type="submit" value="<?php __('Add') ?>" />
	<input type="reset" value="<?php __('Reset')?>" />
</div>

</fieldset>
</form>

<?php $jQuery->includeLib('ui') ?>

<!-- Utility to prefix all fields -->
<form id="prefixer" title="<?php __('Add a prefix to all descriptions') ?>">
<p><?php __('Enter some text with which all descriptions will be prefixed') ?></p>
<input type="text" />
</form>
<script type="text/javascript">
jQuery(function() {
	jQuery('#operation-prefix').click(function() {
		jQuery('form#prefixer').dialog('open');
		return false;
	});

	jQuery('form#prefixer').dialog({
		autoOpen: false,
		modal: true,
		// Hack to set Cancel in a different set
		open: function(e) { jQuery('.ui-dialog-buttonpane button:last', jQuery(e.target).parent()).addClass('ui-priority-secondary');},
		buttons: {
			"<?php __('OK') ?>": function() {
				var prefix = jQuery('form#prefixer input').val();
				jQuery('form.addedit input[type=text]').each(function() {
					jQuery(this).val(prefix + jQuery(this).val());
				});
				jQuery(this).dialog('close');
			},
			"<?php __('Cancel') ?>": function() {
				jQuery(this).dialog('close');
			}
		}
	});
});
</script>

<!-- Utility to suffix all fields -->
<form id="suffixer" title="<?php __('Add a suffix to all descriptions') ?>">
<p><?php __('Enter some text with which all descriptions will be suffixed') ?></p>
<input type="text" />
</form>
<script type="text/javascript">
jQuery(function() {
	jQuery('#operation-suffix').click(function() {
		jQuery('form#suffixer').dialog('open');
		return false;
	});

	jQuery('form#suffixer').dialog({
		autoOpen: false,
		modal: true,
		// Hack to set Cancel in a different set
		open: function(e) { jQuery('.ui-dialog-buttonpane button:last', jQuery(e.target).parent()).addClass('ui-priority-secondary');},
		buttons: {
			"<?php __('OK') ?>": function() {
				var prefix = jQuery('form#suffixer input').val();
				jQuery('form.addedit input[type=text]').each(function() {
					jQuery(this).val(jQuery(this).val() + prefix);
				});
				jQuery(this).dialog('close');
			},
			"<?php __('Cancel') ?>": function() {
				jQuery(this).dialog('close');
			}
		}
	});
});
</script>