<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>
		<?php echo $title_for_layout;?> - Demyo
	</title>

	<?php echo $html->charset();?>

	<link rel="demyo-tinymce-locator" id="demyo-tinymce-locator" href="<?php echo $html->url('/js/tiny_mce/', true); ?>" />
	<link rel="icon" href="<?php echo $this->webroot;?>img/favicon.ico" type="image/x-icon" />
	<link rel="shortcut icon" href="<?php echo $this->webroot;?>img/favicon.ico" type="image/x-icon" />
	<?php
	if (in_array('printable', $this->passedArgs)) {
		$html->css('demyo_print', null, array('inline' => false));
	} else {
		$html->css('demyo', null, array('inline' => false));
	}
	$html->css('farbtastic', null, array('inline' => false));
	$html->css('jquery-ui', null, array('inline' => false));
	echo $asset->scripts_for_layout();
	?>
	
<?php
	if (isset($prefetch))
		$prefetch->getPrefetchMetaTags();
?>
</head>
<body>
	<div id="header">
		<?php __('Demyo comic manager') ?>
	</div>
	<?php
	if (Configure::read('Demyo.Quicksearch_adaptive') && isset($quicksearch)) {
		$quicksearch->showQuickSearch();
	} else if (isset($quicksearch)) {
		$quicksearch->enableAllCategories();
		$quicksearch->showQuickSearch();
	}
	?>
	<ul id="menu">
		<li><?php echo $html->link(__('Home', true), '/')?></li>
		<li><?php echo $html->link(__('Series', true), '/series')?></li>
		<li><?php echo $html->link(__('Albums', true), '/albums')?></li>
		<li><?php echo $html->link(__('Authors', true), '/authors')?></li>
		<li><?php echo $html->link(__('Derivatives', true), '/derivatives')?></li>
		<li><?php echo $html->link(__('Images', true), '/images')?></li>
		<li><?php echo $html->link(__('Tags', true), '/tags')?></li>
		<li><?php echo $html->link(__('Publishers', true), '/publishers')?></li>
	</ul>
	<div id="content">
		<?php
			if (isset($menu))
				echo $menu->getPopupMenu();
		
			if ($session->check('Message.flash')) {
				echo $session->flash();
			}
			if ($session->check('Message.smartFlash')) {
				echo $session->flash('smartFlash');
			}
		?>

		<?php echo $content_for_layout;?>

	<div class="clearer"></div>
	</div>
	<div id="footer">
		<?php echo sprintf(__('Demyo "%s" (%s) running on CakePHP %s.', true), Configure::read('Demyo.versionCodename'), Configure::read('Demyo.versionAsString'), Configure::version())?>
	</div>
	<?php echo $this->element('sql_dump'); ?>
</body>
</html>
