<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout',__('Export the library', true));

function dlHeaders($name) {
	header('Content-Description: File Transfer');
	header('Content-Disposition: attachment; filename='.$name);
	header('Content-Transfer-Encoding: binary');
	header('Expires: 0');
	header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
	header('Pragma: public');
}
if (isset($mimetype)) {
	if ($mimetype == 'application/zip') {
		header('Content-type: '.$mimetype);
		dlHeaders($zipName);
		header('Content-Length: '.filesize($zipFile));
		// Turn off buffering, memory would blow up
		ob_end_flush();
		readfile($zipFile, false);
		unlink($zipFile);
		exit();
	}
	
	else if ($mimetype == 'application/xml') {
		// Force dowload and not viewing
		header('Content-type: application/octet-stream');
		dlHeaders('demyo.xml');
		echo $output;
	}
	
	else {
		header('Content-type: '.$mimetype);
		dlHeaders($filename);
		echo $output;
	}


} else {
	echo $helpBrowser->pageLink('export');
?>
<form action="<?php echo $html->url('/library/export')?>" method="post" id="exporter">
	<fieldset>
	<legend><?php __('Export the library') ?></legend>
	<table class="details">
	<tr><th><?php __('Export type')?></th>
	<td><select name="method" onchange="checkOptions();">
		<option value="xml" selected="selected">XML</option>
		<!--<option value="xml+xsl">XML + XSL</option>-->
		<option value="xls"><?php __('Excel 97/2000/XP') ?></option>
		<option value="xlsx"><?php __('Excel 2007') ?></option>
		<option value="csv"><?php __('CSV') ?></option>
	</select></td></tr>
	<tr><th><label for="withResources"><?php __('Include resources') ?></label></th><td><input type="checkbox" name="withResources" id="withResources" checked="checked" /></td></tr>
	<tr><th><label for="withResources"><?php __('Only export wishlist albums') ?></label></th><td><input type="checkbox" name="onlyWishlist" id="onlyWishlist" /></td></tr>
	</table>
	<div class="buttons"><input type="submit" value="<?php __('Export')?>" /></div>
	</fieldset>
</form>

<div class="loading" id="export-progress" style="display: none;"><?php __('Export in progress. Please wait.')?></div>

<?php
$jQuery->includeLib('base');
?>
<script type="text/javascript">
jQuery(function() {
	checkOptions();

	jQuery('form').submit(function() {
		jQuery('form').hide();
		jQuery('div.loading').show();
	});
});

function checkOptions() {
	val = jQuery('select').val();
	switch (val) {
		case 'xml':
		case 'xml+xsl':
			enableResources = true;
			allowWishlist = false;
			break;
		case 'xls':
		case 'xlsx':
		case 'csv':
		default:
			enableResources = false;
			allowWishlist = true;
	}
	if (enableResources)
		jQuery('#withResources').attr('checked', 'checked');
	else
		jQuery('#withResources').removeAttr('checked');

	if (allowWishlist)
		jQuery('#onlyWishlist').removeAttr('disabled');
	else {
		jQuery('#onlyWishlist').attr('disabled', 'disabled');
		jQuery('#onlyWishlist').removeAttr('checked');
	}
}
</script>
<?php } ?>
