<?php /* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout',__('Statistics', true));

function prepareChartResultSet(&$chart, $resultSet) {
	list($prepared['labels'], $prepared['data'], $prepared['notShown']) = $chart->extract($resultSet, 'year', 'count', Configure::read('Demyo.Stats_years'));
	$numYears = count($prepared['labels']);
	if ($prepared['labels'][$numYears-1] == 0) {
		unset($prepared['labels'][$numYears-1]);
		$prepared['notShown'] += $prepared['data'][$numYears-1];
		unset($prepared['data'][$numYears-1]);
	}
	$prepared['labels'] = array('x' => array_reverse($prepared['labels']));
	$prepared['data'] = array(array_reverse($prepared['data']));
	return $prepared;
}
?>
<h2><?php __('Counts') ?></h2>

<p>
<?php
echo __s('The library totals %1$d albums (%2$d of which are originals and %3$s lended, for a total worth of %14$s %4$.2f) in %5$d series.<br />'
	.'The wishlist contains %6$d albums.<br />'
	.'The albums were written by %7$d authors and published by %8$d publishers in %9$d collections.<br />'
	.'There are %10$d derivatives, for a total worth of %14$s %11$.2f.<br />'
	.'%12$d images were specified, and items are tagged with %13$d different tags.',
	$counts['Album'], $counts['Album_orig'], $counts['Album_lended'], $worth['Album'], $counts['Series'],
	$counts['Album_wish'],
	$counts['Author'], $counts['Publisher'], $counts['Collection'],
	$counts['Derivative'], $worth['Derivative'],
	$counts['Image'], $counts['Tag'], Configure::read('Demyo.currency'));
?>
</p>

<?php if ($counts['Album'] > 0) { ?>
<h2><?php __('Album editions per year') ?></h2>
<?php
$charts['editionsPerYear'] = prepareChartResultSet($chart, $charts['editionsPerYear']);
echo $chart->chart($charts['editionsPerYear']['data'], $charts['editionsPerYear']['labels']);

if ($charts['editionsPerYear']['notShown'] > 0)
	echo '<p>'.__s('%s albums not shown in chart (too old or edition wasn\'t specified)', $charts['editionsPerYear']['notShown']).'</p>';
?>

<h2><?php __('Album purchase per year') ?></h2>
<?php
$chartableYears = Set::combine($charts['purchasePerYear'], '{n}.year', '{n}.year');
unset($chartableYears[0]);

$charts['purchasePerYear'] = prepareChartResultSet($chart, $charts['purchasePerYear']);
echo $chart->chart($charts['purchasePerYear']['data'], $charts['purchasePerYear']['labels']);

if ($charts['purchasePerYear']['notShown'] > 0)
	echo '<p>'.__s('%s albums not shown in chart (too old or purchase date wasn\'t specified)', $charts['purchasePerYear']['notShown']).'</p>';
?>
<form action="" method="get">
<div><?php __('View monthly purchases for')?>&nbsp;&nbsp;
<?php echo $form->select('MonthlyPurchaseDetails', $chartableYears); ?>
</div>
<script type="text/javascript">
jQuery('select#MonthlyPurchaseDetails').change(function() {
	var year = jQuery(this).val();
	if (year != '')
		window.open('<?php echo $html->url('/albums/purchases/monthly/')?>'+year, '',  'height=<?php echo (Configure::read('Demyo.Stats_chartHeight')+200)?>,width=<?php echo (Configure::read('Demyo.Stats_chartWidth')+100)?>,top=100,left=40,location=no,menubar=no,resizable=yes,scrollbars=yes,toolbar=no,status=no,directories=no')
		jQuery(this).val('');
});
</script>
</form>
<?php
}
?>

<?php $jQuery->includeLib(array('base', 'ui')); ?>
<script type="text/javascript">
jQuery(document).ready(function() {
	jQuery('div.chart').resizable();
	jQuery('div.log').hide();
});
</script>

<h2><?php __('Logs') ?></h2>
<p class="show_hide"><a onclick="jQuery('div#error_log').toggle()"><?php __('Toggle error log')?></a></p>
<div class="log" id="error_log"><?php echo $logs['error']?></div>
<p class="show_hide"><a onclick="jQuery('div#debug_log').toggle()"><?php __('Toggle debug log')?></a></p>
<div class="log" id="debug_log"><?php echo $logs['debug']?></div>
