<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout',$publisher['Publisher']['name'].' - '.__('Publishers', true));

$quicksearch->setSearchCategories(array('Publisher', 'Collection'));

$menu->preparePopupMenu(array(
	array('edit' => 'Publisher', 'id' => $publisher['Publisher']['id']),
	array('url' => '/collections/add/toPublisher:'.$publisher['Publisher']['id'], 'title' => __('Add a collection to this publisher', true)),
	array('delete' => 'Publisher', 'id' => $publisher['Publisher']['id']),
	array('add' => 'Publisher')
));

if (! empty($publisher['Image']['id'])) {
	echo $colorbox->thumb($publisher['Image']['url'], $publisher['Image']['thumb_url'],
		array('div-id' => 'pubcol-view-logo', 'alt' => __('Logo', true), 'isLocal' => $publisher['Image']['is_local']));
}
?>
<table class="details">
	<tr><th><?php __('Name') ?></th><td><?php echo $publisher['Publisher']['name']?></td></tr>
	
	<?php if (!empty($publisher['Publisher']['website'])) { ?>
	<tr><th><?php __('Website') ?></th><td><a href="<?php echo $publisher['Publisher']['website']?>"><?php echo $publisher['Publisher']['website']?></a></td></tr>
	<?php } ?>
	
	<?php if (!empty($publisher['Publisher']['history'])) { ?>
	<tr><th><?php __('History') ?></th><td><?php echo $rte->parse($publisher['Publisher']['history'])?></td></tr>
	<?php } ?>
	
	<?php if (!empty($publisher['Collection'])) { ?>
	<tr><th><?php __('Collections') ?></th><td><?php echo $list->CSVList($publisher['Collection'], array('name'), '/collections/view/%d')?></td></tr>
	<?php } ?>
	
	<?php if (!empty($publisher['Publisher']['album_count'])) { ?>
	<tr><th><?php __('Albums') ?></th>
	<td><?php echo $html->link(__s('View %d albums from this publisher', $publisher['Publisher']['album_count']), '/albums/index/fromPublisher:'.$publisher['Publisher']['id'])?></td></tr>
	<?php } ?>
</table>

<?php
if (!empty($publisher['Publisher']['feed']))
	echo $feed->showAJAXFeed('/feeds/from/publishers/'.$publisher['Publisher']['id'], __('Show latest news from this publisher', true));
?>
