<?php $jQuery->includeLib(array('advanced_search')); ?>

<?php
$viewTypes = array(
	'index' => __('search.album.view_type.list', true),
	'covers' => __('search.album.view_type.covers', true)
);
?>

<form id="advancedSearch" method="post">
	<fieldset>
		<legend><?php __('search.parameters') ?></legend>
		<table class="details">
			<tr>
				<th><label for="view_type"><?php __('search.album.view_type') ?></label></th>
				<td><?php echo $form->select('parameters.view_type', $viewTypes, null, array('empty' => false)) ?></td>
			</tr>
		</table>
	</fieldset>
	<div class="buttons"><input type="submit" value="<?php __('Search') ?>" /></div>
</form>

<script type="text/javascript">
var searchFields = [
	{
		field: 'Album.title',
		fieldName: "<?php __('Title') ?>",
		type: 'string'
	},
	{
		field: 'Album.first_edition',
		fieldName: "<?php __('First edition') ?>",
		type: 'date'
	},
	{
		field: 'Album.this_edition',
		fieldName: "<?php __('This edition') ?>",
		type: 'date'
	},
	{
		field: 'Album.wishlist',
		fieldName: "<?php __('Wishlist') ?>",
		type: 'boolean'
	},
	{
		field: 'Album.purchase_date',
		fieldName: "<?php __('Purchase date') ?>",
		type: 'date'
	},
	{
		field: 'Album.purchase_price',
		fieldName: "<?php __('Purchase price') ?>",
		type: 'integer'
	},
	{
		field: 'Album.width',
		fieldName: "<?php __('Width') ?>",
		type: 'integer'
	},
	{
		field: 'Album.height',
		fieldName: "<?php __('Height') ?>",
		type: 'integer'
	},
	{
		field: 'Album.pages',
		fieldName: "<?php __('Pages') ?>",
		type: 'integer'
	},
	{
		field: 'Album.isbn',
		fieldName: "<?php __('ISBN') ?>",
		type: 'string'
	},
	{
		field: 'Album.cover_id',
		fieldName: "<?php __('Cover') ?>",
		type: 'nullable'
	},
	{
		field: 'Album.summary',
		fieldName: "<?php __('Summary') ?>",
		type: 'string'
	},
	{
		field: 'Album.comment',
		fieldName: "<?php __('Comment') ?>",
		type: 'string'
	}
];

jQuery('#advancedSearch').advancedSearch({
	searchFields: searchFields,
	locale: jQuery.AdvancedSearchLocales.<?php echo Configure::read('Demyo.lang') ?>
});
</script>