<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout', __('Series', true));

$quicksearch->setSearchCategories(array('Series', 'Album', 'Tag'));

$menu->preparePopupMenu(array(
	array('add' => 'Series'),
	array('add' => 'Album')
));

$myPaginator->options(array('url' => $this->params['pass']));
?>

<?php
$lastStart = '';
eval($myPaginator->counter(array('format' => ('$max = %end% - %start% + 1;'))));
$num = 0;

?>

<?php
$letters = $myPaginator->letters(array('url' => array('order' => array('Series.name' => 'asc'))));
if ($letters) {
	?>
<div class="pages_nav_letters">
	<?php echo $letters ?>
</div>
	<?php
}
?>

<div class="text_list_column">
<?php
// iconv/mbstring apparently give no easy way to do this, we would need to
// know a valid UTF-8 encoding on the server

function unAccent($char) {
	switch ($char) {
		case 'Á':case 'á':
		case 'À':case 'à':
		case 'Â':case 'â':
		case 'Ä':case 'ä':
			return 'A';
		case 'É':case 'é':
		case 'È':case 'è':
		case 'Ê':case 'ê':
		case 'Ë':case 'ë':
			return 'E';
		case 'Í':case 'í':
		case 'Ì':case 'ì':
		case 'Î':case 'î':
		case 'Ï':case 'ï':
			return 'I';
		case 'Ñ':case 'ñ':
			return 'N';
		case 'Ú':case 'ú':
		case 'Ù':case 'ù':
		case 'Û':case 'û':
		case 'Ü':case 'ü':
			return 'U';
		default:
			return $char;
	}
}

foreach($series as $item) {
	$item = $item['Series'];
	
	$first = unAccent(mb_strtoupper(mb_substr($item['name'], 0, 1, 'utf-8')));
	if (ctype_digit($first)) // Hack title for numbers
		$first = '0-9';
	
	if ($num != 0 && $num%$perColumn == 0 && $num<$max-1) {
		echo "\t</ul>\n</div>\n<div class=\"text_list_column\">\n";
		if ($lastStart == $first) // Only if we continue previous columb
			echo "\t<ul>\n";
	}
	
	if ($lastStart != $first) {
		if ($num%$perColumn != 0) // On first element in column
			echo "\t</ul>\n";

		$lastStart = $first;
			echo "\t<h2>$lastStart</h2>\n\t<ul>\n";
	}
	
	if ($item['completed'])
		echo "\t\t<li class=\"completedSeries\">";
	else
		echo "\t\t<li class=\"ongoingSeries\">";
	echo $html->link($item['name'],
		'/series/view/'.$item['id'])."</li>\n";
	$num++;
}
?>
</ul>
</div>

<div class="clearer"></div>

<div class="pages_nav_numbers">
	<?php echo $myPaginator->prev()?> <?php echo $myPaginator->numbers()?> <?php echo $myPaginator->next()?>
</div>
<div class="pages_nav_jump">
	<?php echo $myPaginator->directJump()?>
</div>
