<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout', $series['Series']['name'].' - '.__('Series', true));

$quicksearch->setSearchCategories(array('Series', 'Album'));

$menuOptions = array(
	array('edit' => 'Series', 'id' => $series['Series']['id']),
	array('url' => '/albums/add/series:'.$series['Series']['id'], 'title' => __('Add an album to this series', true)),
	array('url' => '/derivatives/add/toSeries:'.$series['Series']['id'], 'title' => __('Add a derivative to this series', true)),
	array('url' => '#', 'title' => __('Lend selected albums', true), 'attributes' => array('onclick' => "jQuery('div#lending-dialog').dialog('open'); return false;")),
	array('url' => '#', 'title' => __('Tag all albums', true), 'attributes' => array('onclick' => "jQuery('form#series-tagger').dialog('open'); return false;")),
	array('url' => '#', 'title' => __('Remove a tag', true), 'attributes' => array('onclick' => "jQuery('form#series-untagger').dialog('open'); return false;")),
	array('delete' => 'Series', 'id' => $series['Series']['id']),
	array('add' => 'Series'),
	array('url' => '/series/view/'.$series['Series']['id'].'/printable', 'title' => __('Printer-friendly version', true))
);
if (empty($tags))
	unset($menuOptions[5]);
$menu->preparePopupMenu($menuOptions);
?>
<table class="details">
	<tr><th><?php __('Name') ?></th><td><?php echo $series['Series']['name']?></td></tr>
	
	<?php if (!empty($series['Series']['website'])): ?>
		<tr><th><?php __('Website') ?></th><td><a href="<?php echo $series['Series']['website']?>"><?php echo $series['Series']['website']?></a></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($series['Series']['summary'])): ?>
		<tr><th><?php __('Summary') ?></th><td><?php echo $rte->parse($series['Series']['summary'])?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($series['Series']['comment'])): ?>
		<tr><th><?php __('Comment') ?></th><td><?php echo $rte->parse($series['Series']['comment'])?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($writers)): ?>
		<tr><th><?php __('Related writers') ?></th>
		<td><?php echo $list->CSVList($writers, array('meta_name'), '/authors/view/%d')?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($artists)): ?>
		<tr><th><?php __('Related artists') ?></th>
		<td><?php echo $list->CSVList($artists, array('meta_name'), '/authors/view/%d')?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($colorists)): ?>
		<tr><th><?php __('Related colorists') ?></th>
		<td><?php echo $list->CSVList($colorists, array('meta_name'), '/authors/view/%d')?></td></tr>
	<?php endif; ?>
	
	<?php if (! empty($series['Album'])) { ?>
		<tr><th><?php __('Owned albums') ?></th>
		<td><?php echo $series['owned_albums']?></td></tr>
	<?php } ?>
	
	<?php if (!empty($series['Series']['derivative_count'])): ?>
	<tr><th><?php __('Derivatives') ?></th>
	<td><?php echo $html->link(__s('View %d derivatives for this series', $series['Series']['derivative_count']), '/derivatives/index/fromSeries:'.$series['Series']['id'])?>
	<a id="derivatives-inliner" href="#inline-derivatives">(<?php __('view them here')?>)</a></td></tr>
	<?php endif; ?>

	<?php if (!empty($tags)) { ?>
	<tr><th><?php __('Tags') ?></th>
	<td><?php echo $tagTools->CSVList($tags) ?></td></tr>
	<?php } ?>

	<?php if (!empty($series['RelatedSeries'])): ?>
		<tr><th><?php __('Related series') ?></th>
		<td><?php echo $list->CSVList($series['RelatedSeries'], array('name'), '/series/view/%d')?></td></tr>
	<?php endif; ?>
	
	<tr class="series_status"><th><?php __('Status') ?></th>
	<?php
	if ($series['Series']['completed']) {
		echo '<td class="completed">';
		__('This series is over');
	} else {
		echo '<td class="ongoing">';
		__('This series is ongoing');
	}
	?></td></tr>
</table>

<?php
	if (!empty($series['Album'])):
		$jQuery->includeLib('slider');

	$numCovers = 0;
	$coverList = "<ul id=\"covers\">\n";
	
	foreach ($series['Album'] as $album) {
		$coverList .= "\t<li><a href=\"#item{$album['id']}\">";
		if (! empty($album['Cover']['id'])) {
		$alt = __('Cover', true);
			$coverList .= $html->image($album['Cover']['thumb_url'], array('alt' => $alt, 'title' => $album['title']));
			$numCovers++;
		} else
			$coverList .= '<span>?</span>';
		$coverList .= "</a></li>\n";
	}
	
	$coverList .= '</ul>';
	
	// It makes no sense to print nothing but interrogation marks, or even one
	// cover
	if ($numCovers > 1) {
		echo $coverList;
?>
<script type="text/javascript">
// Use window.load rather than document.ready, fixes the slider for Webkit-based browsers
// See http://stackoverflow.com/questions/318630/get-real-image-width-and-height-with-javascript-in-safari-chrome
jQuery(window).load(function() {
	jQuery('ul#covers').slider();
});
</script>
<?php
	}
?>

<div id="series_albums">
	<h2><?php __('Albums in this series') ?></h2>
	<form id="lending-form" action="<?php echo $html->url('/borrowers/lend')?>" method="post">
<?php
	$linkTitle = __('Click to show/hide', true);
	
	$fieldConfig = Configure::read('Demyo.View_seriesAlbumDetails');
	
	// Store strings in locale array to avoid redundant calls
	$locale['viewAlbumImg'] = $html->image('view-small.png', array('alt' =>  __('View album details', true))); 
	$locale['editAlbumImg'] = $html->image('edit-small.png', array('alt' =>  __('Edit this album', true)));
	$locale['viewAlbumText'] = __('View album details', true);
	$locale['editAlbumText'] = __('Edit this album', true);
	
	$i=0;
	foreach ($series['Album'] as &$album) {
		$title = $albumTools->getAlbumNumber($album).'&nbsp;'.$album['title'];
		
		// Fix dates
		$album['purchase_date'] = __date($album['purchase_date']);
		$album['first_edition'] = __date($album['first_edition']);
		$album['this_edition'] = __date($album['this_edition']);
		
		$cssClass = 'album';
		if (! empty($album['wishlist']))
			$cssClass .= ' wishlist';
		
		// Make checkbox for lending
		if (empty($album['Borrower']))
			$check = "<input type=\"checkbox\" class=\"lend\" name=\"data[Album][{$album['id']}]\" />";
		else
			$check = "<input type=\"checkbox\" class=\"lend\" disabled=\"disabled\" />";
		?>
		
		<div class="<?php echo $cssClass?>" id="<?php echo "item{$album['id']}"?>">
		
		<h3>
			<?php echo $check?>
			<?php echo $title?>
			<a href="<?php echo $html->url('/albums/view/'.$album['id'])?>" title="<?php echo $locale['viewAlbumText']?>"><?php echo $locale['viewAlbumImg']?></a>
			<a href="<?php echo $html->url('/albums/edit/'.$album['id'])?>" title="<?php echo $locale['editAlbumText']?>"><?php echo $locale['editAlbumImg']?></a>
		</h3>
		
		<?php
		
		echo "\t<div class=\"details\">\n";
		
		if (! empty($album['Cover']['id']))
			echo $colorbox->thumb($album['Cover']['url'], $album['Cover']['thumb_url'],
				array('alt' => __('Cover', true), 'isLocal' => $album['Cover']['is_local'], 'group' => 'covers', 'title' => $album['Cover']['description']));
		
		// DETAILS START
		?>
		<table class="details">
		
		<?php if ($fieldConfig['Publisher']) { ?>
		<tr><th><?php __('Publisher') ?></th><td><?php echo $html->link($album['Publisher']['name'],'/publishers/view/'.$album['publisher_id'])?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Collection'] && !empty($album['collection_id'])) { ?>
		<tr><th><?php __('Collection') ?></th><td><?php echo $html->link($album['Collection']['name'],'/collections/view/'.$album['collection_id'])?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Writers'] && !empty($album['Writer'])) { ?>
		<tr><th><?php __('Writers') ?></th><td><?php echo $list->CSVList($album['Writer'], array('meta_name'), '/authors/view/%d')?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Artists'] && !empty($album['Artist'])) { ?>
		<tr><th><?php __('Artists') ?></th><td><?php echo $list->CSVList($album['Artist'], array('meta_name'), '/authors/view/%d')?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Colorists'] && !empty($album['Colorist'])) { ?>
		<tr><th><?php __('Colorists') ?></th><td><?php echo $list->CSVList($album['Colorist'], array('meta_name'), '/authors/view/%d')?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Edition'] && !(empty($album['first_edition']) && empty($album['this_edition']))) {
			if (!empty($album['first_edition']) && $album['first_edition'] == $album['this_edition'])
				echo "\t\t<tr><th>".__('Edition', true).'</th><td>'.$album['first_edition'].' ('.__('First edition', true).")</td></tr>\n";
			else {
				if (!empty($album['first_edition']))
					echo "\t\t<tr><th>".__('First edition', true).'</th><td>'.$album['first_edition']."</td></tr>\n";
				if (!empty($album['this_edition']))
					echo "\t\t<tr><th>".__('Edition', true).'</th><td>'.$album['this_edition']."</td></tr>\n";
			}	
		} ?>
		
		<?php
		// Hack album information to allow use of the helper
		if (! $fieldConfig['Purchase date']) $album['purchase_date'] = '';
		if (! $fieldConfig['Purchase price']) $album['purchase_price'] = '';
		echo $priceTools->getPurchaseTableRows($album['purchase_date'], $album['purchase_price']);
		?>
		
		<?php if ($fieldConfig['Book binding'] && !empty($album['binding_id'])) { ?>
		<tr><th><?php __('Book binding') ?></th><td><?php echo $album['Binding']['name']?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Size'] && !(empty($album['width']) || empty($album['height']))) { ?>
		<tr><th><?php __('Size') ?></th><td><?php echo $album['width']?> x <?php echo $album['height']?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Pages'] && !empty($album['pages'])) { ?>
		<tr><th><?php __('Pages') ?></th><td><?php echo $album['pages']?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Price'] && !empty($album['AlbumPrice'])) {
			$lastPrice = count($album['AlbumPrice'])-1; ?>
		<tr><th><?php __('Price') ?></th><td><?php echo __s('%1$s%2$s (as of %3$s)', Configure::read('Demyo.currency'), $album['AlbumPrice'][$lastPrice]['price'], __date($album['AlbumPrice'][$lastPrice]['date']))?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Tags'] && !empty($album['Tag'])) { ?>
		<tr><th><?php __('Tags') ?></th><td><?php echo $tagTools->CSVList($album['Tag'])?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Borrower'] && !empty($album['Borrower'])) { ?>
		<tr><th><?php __('Lended to') ?></th><td><?php echo __s('%s since %s',
			$album['Borrower'][0]['meta_name'],
			__date($album['Borrower'][0]['AlbumsBorrower']['borrow_date']))?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['ISBN'] && !empty($album['isbn'])) { ?>
		<tr><th><?php __('ISBN') ?></th><td><?php echo $album['isbn']?></td></tr>
		<?php } ?>
	
		<?php if ($fieldConfig['Summary'] && !empty($album['summary'])) { ?>
		<tr><th><?php __('Summary') ?></th><td><?php echo $rte->parse($album['summary'])?></td></tr>
		<?php } ?>
	
		<?php if ($fieldConfig['Comment'] && !empty($album['comment'])) { ?>
		<tr><th><?php __('Comment') ?></th><td><?php echo $rte->parse($album['comment'])?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Images'] && ($numImages = count($album['Image'])) !== 0) { ?>
		<tr><th><?php __('Images') ?></th><td><a href="<?php echo $html->url('/albums/view/'.$album['id'])?>#gallery"><?php echo $numImages?></a></td></tr>
		<?php } ?>
		
		</table>
		</div>
		</div>
		
		<?php
		// DETAILS END
		
		$i++;
	}
?>
	<div><input type="hidden" name="data[Borrower][name]" id="borrower-real" /></div>
	<div id="lending-dialog"><label for="borrower-fake"><?php __('Lend to') ?></label><input type="text" value="" id="borrower-fake" /></div>
	</form>
</div>
<?php $jQuery->includeLib('ui'); ?>
<script type="text/javascript">
jQuery('div#lending-dialog').dialog({
		autoOpen: false,
		modal: true,
		position: ['center', 150],
		title: "<?php __('Lend selected albums')?>",
		// Hack to set Cancel in a different set and prevent focus on OK
		open: function(e) { jQuery('.ui-dialog-buttonpane button:last', jQuery(e.target).parent()).addClass('ui-priority-secondary');jQuery('.ui-dialog-buttonpane button:first', jQuery(e.target).parent()).blur();},
		buttons: {
			"<?php __('Lend') ?>": function() {
				jQuery('input#borrower-real').val(jQuery('input#borrower-fake').val());
				jQuery('form#lending-form').submit();
			},
			"<?php __('Cancel') ?>": function() {
				jQuery(this).dialog('close');
			}
		}
	});
</script>


<?php
/* Series tagger */
$jQuery->includeLib('tag_field');
?>
<form id="series-tagger" action="<?php echo $html->url('/series/tag')?>" method="post"><div>
<input type="hidden" name="data[series_id]" value="<?php echo $series['Series']['id']?>" />
<label for="tagger-tag_name"><?php __('Tag with') ?></label><input type="text" value="" id="tagger-tag_name" name="data[tag_name]"/>
</div></form>
<script type="text/javascript">
jQuery('form#series-tagger').dialog({
		autoOpen: false,
		modal: true,
		position: ['center', 150],
		title: "<?php __('Tags albums')?>",
		// Hack to set Cancel in a different set and prevent focus on OK
		open: function(e) { jQuery('.ui-dialog-buttonpane button:last', jQuery(e.target).parent()).addClass('ui-priority-secondary');jQuery('.ui-dialog-buttonpane button:first', jQuery(e.target).parent()).blur();},
		buttons: {
			"<?php __('Tag') ?>": function() {
				jQuery('form#series-tagger').submit();
			},
			"<?php __('Cancel') ?>": function() {
				jQuery(this).dialog('close');
			}
		}
	});
jQuery('input#tagger-tag_name').autocomplete('<?php echo $html->url('/tags/complete', true)?>', {
	selectFirst: false
});
</script>


<?php
/* Series untagger */
if (! empty($tags)) {
?>
<form id="series-untagger" action="<?php echo $html->url('/series/untag')?>" method="post"><div>
<input type="hidden" name="data[series_id]" value="<?php echo $series['Series']['id']?>" />
<?php
	echo $form->select('tag_name', Set::combine($tags, '{n}.name', '{n}.name'), null, array('empty' => false));
?>
</div></form>
<script type="text/javascript">
jQuery('form#series-untagger').dialog({
		autoOpen: false,
		modal: true,
		position: ['center', 150],
		title: "<?php __('Remove a tag from all albums in this series')?>",
		// Hack to set Cancel in a different set and prevent focus on OK
		open: function(e) { jQuery('.ui-dialog-buttonpane button:last', jQuery(e.target).parent()).addClass('ui-priority-secondary');jQuery('.ui-dialog-buttonpane button:first', jQuery(e.target).parent()).blur();},
		buttons: {
			"<?php __('Remove') ?>": function() {
				jQuery('form#series-untagger').submit();
			},
			"<?php __('Cancel') ?>": function() {
				jQuery(this).dialog('close');
			}
		}
	});
</script>
<?php
}
?>

<?php endif; /* at least one album */?>

<?php if (!empty($series['Series']['derivative_count'])) {
?>
<div id="inline-derivatives" style="display: none"><div class="loading"><?php echo __('Loading')?></div></div>

<script type="text/javascript">
jQuery('a#derivatives-inliner').one('click', showInlineDerivatives);
// No idea why, but it seems like AJAX-inserted thumbnails (thus not present
// when the ColorBox setup takes place) will work just fine without re-firing
// a setup event.
function showInlineDerivatives() {
	jQuery('div#inline-derivatives').show();
	jQuery.get('<?php echo $html->url(array('controller' => 'derivatives', 'action' => 'index', 'fromSeries' => $series['Series']['id'], 'ajax' => true))?>', {}, function(data) {
		jQuery('div#inline-derivatives').html(data);
	});
}
</script>
<?php } ?>
