<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout', $source['name'].' - '.__('Sources', true));

$quicksearch->setSearchCategories(array('Source'));

$menu->preparePopupMenu(array(
	array('edit' => 'Source', 'id' => $source['id']),
	array('delete' => 'Source', 'id' => $source['id'])
));
?>
<table class="details">
	<tr><th><?php __('Name') ?></th><td><?php echo $source['name']?></td></tr>
	
	<?php if (!empty($source['website'])): ?>
	<tr><th><?php __('Website') ?></th><td><a href="<?php echo $source['website']?>"><?php echo $source['website']?></a></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($source['email'])): ?>
	<tr><th><?php __('Mail') ?></th><td><a href="mailto:<?php echo $source['email']?>"><?php echo $source['email']?></a></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($source['owner'])): ?>
	<tr><th><?php __('Owner') ?></th><td><?php echo $source['owner']?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($source['address'])): ?>
	<tr><th><?php __('Address') ?></th><td><?php echo $rte->parse($source['address'])?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($source['phone_number'])): ?>
	<tr><th><?php __('Phone number') ?></th><td><?php echo $source['phone_number']?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($source['history'])): ?>
	<tr><th><?php __('History') ?></th><td><?php echo $rte->parse($source['history'])?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($source['derivative_count'])): ?>
	<tr><th><?php __('Derivatives') ?></th>
	<td><?php echo $html->link(__s('View %d derivatives from this source', $source['derivative_count']), '/derivatives/index/fromSource:'.$source['id'])?>
	<a id="derivatives-inliner" href="#inline-derivatives">(<?php __('view them here')?>)</a></td></tr>
	<?php endif; ?>
</table>

<?php if (!empty($source['derivative_count'])) { ?>
<div id="inline-derivatives" style="display: none"><div class="loading"><?php echo __('Loading')?></div></div>

<script type="text/javascript">
jQuery('a#derivatives-inliner').one('click', showInlineDerivatives);
function showInlineDerivatives() {
	jQuery('div#inline-derivatives').show();
	jQuery.get('<?php echo $html->url(array('controller' => 'derivatives', 'action' => 'index', 'fromSource' => $source['id'], 'ajax' => true))?>', {}, function(data) {
		jQuery('div#inline-derivatives').html(data);
	});
}
</script>
<?php } ?>
