<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

function x_notice($condition, $message) {
	if ($condition)
		echo '<p><span class="notice">'.$message.'</span></p>';
}


if(Configure::read() > 0) {
	Debugger::checkSecurityKeys();
}


x_notice(!is_writable(TMP), __('Your tmp directory is NOT writable.', true));
x_notice(!file_exists(CONFIGS.'database.php'),
	__('Your database configuration file is NOT present.', true));
if (file_exists(CONFIGS.'database.php')) {
	uses('model' . DS . 'connection_manager');
	$db = ConnectionManager::getInstance();
	$connected = $db->getDataSource('default');
	x_notice(!$connected->isConnected(),
		__('Cake is NOT able to connect to the database.', true));
}
x_notice(!Cache::isInitialized(), __('Your cache is NOT working.', true));
x_notice(!Cache::isInitialized() && !is_writable(TMP . 'cache'),
	__('Your cache directory is not writable', true));
?>
<?php
$this->set('title_for_layout', __('Home', true));

$quicksearch->enableAllCategories();

$helpers = array();
foreach (array_keys($this->loaded) as $helper) {
	$helpers[$helper] =& ${$helper};
}

function includeWidget($name, &$helpers) {
	extract($helpers);
	
	$dir = dirname(__FILE__);
	echo "\t\t<li>\n";
	if (! is_readable($dir.DS."w_$name.ctp"))
		trigger_error(__s('Unknown widget %s', $name), E_USER_WARNING);
	else
		include($dir.DS."w_$name.ctp");
	echo "\t\t</li>\n";
}

if ($updateInfo = Configure::read('Demyo.lastUpdateInfo')) {
	echo '<div id="update-info">'.__s('A new version of Demyo is now available: Demyo "%1$s" (%2$s). <a href="%3$s">More information</a>. <a href="#" id="remind-me-later">Remind me later</a>.', $updateInfo['versionCodename'], $updateInfo['versionAsString'], Configure::read('Demyo.websiteRoot').$updateInfo['releasePage']).'</div>';
	?>
<script type="text/javascript">
//<![CDATA[
jQuery('a#remind-me-later').click(function() {
	jQuery('div#update-info').slideUp();
	jQuery.get('<?php echo $html->url('/library/dismissUpdateNotification')?>');
	return false;
});
//]]>
</script>
	<?php
}
?>

<div id="dashboard">
<?php
$activeWidgetsFlat = array();
foreach ($activeWidgets as $part => $content) {
?>
	<ul id="dashboard-<?php echo $part?>" class="dashboard-section">
<?php
	if (! empty($content)) {
		foreach ($content as $widget) {
			$activeWidgetsFlat[] = $widget;
			includeWidget($widget, $helpers);
		}
	} else
		echo "\t\t<li></li>\n";
?>
	</ul>
<?php
}
?>
</div>

<?php $jQuery->includeLib(array('ui')); ?>
<script type="text/javascript">
//<![CDATA[
function panelIDToWidgetID(id) {
	return id.replace('dashboard-widget-', '');
}
function addWidget() {
	var widgetName = jQuery('select#widget-adder').val();
	if (widgetName == '')
		return false;

	jQuery.get('<?php echo $html->url('/widgets/rawWidget/')?>'+widgetName, function(data, textStatus) {
		jQuery('ul#dashboard-bottom').append('<li>'+data+'<\/li>');
		jQuery('div.dashboard-panel > h1').css('cursor', 'move'); // Add cursor
		addRemovers();

		jQuery('select#widget-adder option[value='+widgetName+']').attr('disabled', 'disabled');
	});
	
	return false;
}

function addRemovers() {
	jQuery('div.dashboard-panel a.dashboard-panel-deleter').remove();
	jQuery('div.dashboard-panel').append('<a class="dashboard-panel-deleter" onclick="removePanel(this)"><?php echo addslashes(__('Remove this panel', true))?><\/a>');
}

function removePanel(self) {
	var panel = jQuery(self).parent('ul.dashboard-section > li > div.dashboard-panel').get(0);
	// Enable in the list
	jQuery('select#widget-adder option[value='+panelIDToWidgetID(panel.id)+']').removeAttr('disabled');
	// Remove the panel
	jQuery(panel).remove();
}

function editDashboard() {
	// Make the things sortable
	jQuery('ul.dashboard-section').sortable({
		connectWith: 'ul.dashboard-section',
		placeholder: 'ui-state-highlight',
			forcePlaceholderSize: true,
			cancel: 'div.dashboard-panel > ul'
	});
	jQuery('div.dashboard-panel > h1').css('cursor', 'move');

	addRemovers();
	jQuery('div#dashboard-editor > a').remove();
	jQuery('div#dashboard-editor form').css('display', 'table');

	jQuery('ul.dashboard-section').addClass('dashboard-section-marker');

	jQuery('select#widget-adder').bind('change', addWidget);
}

function addPanelToConfig(config, panelID) {
	if (config.length == 0 || config.substr(-1, 1) == '|')
		return config+panelIDToWidgetID(panelID);
	else
		return config+','+panelIDToWidgetID(panelID);
}

function saveDashboard() {
	config = '';
	jQuery('ul#dashboard-top div.dashboard-panel').each(function() {
		config = addPanelToConfig(config, this.id);
	});
	config += '|';
	jQuery('ul#dashboard-left div.dashboard-panel').each(function() {
		config = addPanelToConfig(config, this.id);
	});
	config += '|';
	jQuery('ul#dashboard-right div.dashboard-panel').each(function() {
		config = addPanelToConfig(config, this.id);
	});
	config += '|';
	jQuery('ul#dashboard-bottom div.dashboard-panel').each(function() {
		config = addPanelToConfig(config, this.id);
	});

	window.location = '<?php echo $html->url('/configurator/save/dashboard/')?>'+config;

	return false;
}

jQuery(function() {
	jQuery('#dashboard-editor form').submit(saveDashboard);
	jQuery('#dashboard-editor form')[0].onreset = function() {
		window.location = '<?php echo $html->url()?>';
		return false;
	};
});
//]]>
</script>

<div id="dashboard-editor">
<a href="#dashboard-editor" onclick="editDashboard()"><?php __('Edit the dashboard') ?></a>

<form action="#" method="post"><fieldset>
<legend><?php __('Edit the dashboard') ?></legend>
<label for="widget-adder"><?php __('Add a widget')?></label><select id="widget-adder">
	<option value="" selected="selected">&nbsp;</option>
<?php
foreach ($availableWidgets as $id => $descr) {
	$descr = __($descr, true);
	$disabled = (in_array($id, $activeWidgetsFlat))?' disabled="disabled"':'';
	echo "\t<option value=\"$id\"$disabled>$descr</option>\n";
}
?>
</select>
<div class="buttons">
	<input type="submit" value="<?php __('Save')?>" />
	<input type="reset" value="<?php __('Reset')?>" />
</div>
</fieldset></form>
</div>
