<!-- 
Copyright 2007, 2008 Xavier 'Xr' Dalem
 
This file is part of Demyo. Demyo is free software: you can redistribute it
and/or modify it under the terms of the GNU General Public License version 3,
as published by the Free Software Foundation.

Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
-->
<xsl:stylesheet id="style" version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">
	<xsl:output method="xml" indent="yes" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
	<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title>Demyo collection</title>
	<style type="text/css">
html,body {
	background-color: rgb(245, 245, 255);
	margin: 0;
	padding: 0;
	font-family: sans-serif;
}
div#content {
	margin: 1em;
	padding: 1em;
	background-color: white;
	border: 1px solid rgb(123, 126, 241);
}
a {
	text-decoration: none;
	color: rgb(55, 126, 198);
}
a:hover {
	text-decoration: underline
}
a:visited {
	color: rgb(124, 81, 172);
}
dl.details {
	padding: 0.5em;
	position: absolute;
	display: none;
	background-color: rgb(255, 245, 245);
	border: 1px solid rgb(241, 150, 123);
	margin-left: 10em;
}
dt {
	font-weight: bold;
}
ul.albums li:hover dl.details {
	display: block;
}
	</style>
</head>
<body>
<div id="content">
	<ul id="series">
     <xsl:apply-templates select="//library/series/series"/>
	 </ul>
</div>
</body>
</html>
	</xsl:template>
	<xsl:template match="//library/series/series">
		<li id="series{@id}" title="#{@id}"><xsl:value-of select="@name" />
			<xsl:variable name="sid" select="@id" />
			<ul class="albums">
			<xsl:apply-templates select="//library/albums/album[@series_id=$sid]"/>
			</ul>
		</li>
	</xsl:template>
	<xsl:template match="//library/albums/album">
		<xsl:variable name="pid" select="@publisher_id" />
		<xsl:variable name="cid" select="@collection_id" />
		<li id="album{@id}"><xsl:value-of select="@title" />
		<dl class="details">
		<dt>Number</dt><dd><xsl:if test="@cycle!=0"><xsl:value-of select="@cycle" />.</xsl:if><xsl:value-of select="@number" /></dd>
		<dt>Publisher</dt><dd><xsl:value-of select="//library/publishers/publisher[@id=$pid]/@name" /></dd>
		<xsl:if test="//library/collections/collection[@id=$cid]/@name">
		<dt>Collection</dt><dd><xsl:value-of select="//library/collections/collection[@id=$cid]/@name" /></dd>
		</xsl:if>
		<xsl:if test="@first_edition!='0000-00-00'"><dt>First edition</dt><dd><xsl:value-of select="@first_edition" /></dd></xsl:if>
		<xsl:if test="@this_edition!='0000-00-00'"><dt>This edition</dt><dd><xsl:value-of select="@this_edition" /></dd></xsl:if>
		<xsl:if test="@purchase_date!='0000-00-00'"><dt>Purchase date</dt><dd><xsl:value-of select="@purchase_date" /></dd></xsl:if>
		</dl>
		</li>
	</xsl:template>
</xsl:stylesheet>