#! /bin/sh
# Copyright 2007-2009 Xavier 'Xr' Dalem
# 
# This file is part of Demyo. Demyo is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License version 3,
# as published by the Free Software Foundation.
# 
# Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.

set -e
if [ `id -u` -ne 0 ] ; then
	echo "This script requires superuser privileges."
	exit 1
fi

export PATH=/sbin:/usr/sbin:$PATH
cd `dirname $0`
. ./functions-common.sh
. ./functions-os.sh


printf "Demyo updater.\n\nYou will be asked for a set of questions.
Most have decent default answers (just press Enter) but they can give you more
control over your installation if you really need it.\n\n"


detect_os_and_method



echo "Where should I update Demyo? [$APACHE_DOCROOT/demyo] "
read choice
if [ -z "$choice" ]; then
	UPDATE_TO="$APACHE_DOCROOT/demyo"
else
	UPDATE_TO=$choice
fi
UPDATE_TO=$(echo $UPDATE_TO | sed 's|^\(.\+\)/$|\1|') # Remove trailing slash if any

# For who ?
DEMYO_USER=`stat -c %U $UPDATE_TO`

# Move
mv $UPDATE_TO $UPDATE_TO.old

# Install software
cp -r demyo $UPDATE_TO

# Copy old config
install -m 0660 -o $DEMYO_USER -g $APACHE_GROUP -p $UPDATE_TO.old/app/config/database.php $UPDATE_TO/app/config/database.php
cp $UPDATE_TO.old/app/config/demyo.php $UPDATE_TO/app/config/demyo.php.old

# Change rights
chown -R $DEMYO_USER:$APACHE_GROUP $UPDATE_TO
chmod -R u=rwX,g=rX,o= $UPDATE_TO
chmod -R g+w $UPDATE_TO/app/tmp $UPDATE_TO/app/webroot/img/thumbs
chmod g+w $UPDATE_TO/app/config $UPDATE_TO/app/config/demyo.php*
chmod -R g=rwX $UPDATE_TO/app/webroot/ccss $UPDATE_TO/app/webroot/cjs

# Move images
rm -rf $UPDATE_TO/app/webroot/img/collection_images
mv $UPDATE_TO.old/app/webroot/img/collection_images $UPDATE_TO/app/webroot/img/collection_images

# Remove backup
rm -rf $UPDATE_TO.old

echo "Demyo is now nearly updated. Visit its home page
(default: http://localhost/demyo/) to complete the update."

